<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>ADSL Settings</title>
<script language=JavaScript>

function check_AnnexA_mode(p)
{
   if ( (document.getElementById("g992_1b").checked == true) 
        ||  (document.getElementById("g992_3b").checked == true)
        ||  (document.getElementById("g992_5b").checked == true)
        ||  (document.getElementById("g992_3j").checked == true)
        ||  (document.getElementById("g992_5j").checked == true)
      )
   {
     p.checked = false;
     alert("Sorry! You can't select this mode!");
     return false;
   }
   return true;
}

function check_AnnexL_mode(p)
{
   if ( (document.getElementById("g992_1b").checked == true) 
        ||  (document.getElementById("g992_3b").checked == true)
        ||  (document.getElementById("g992_5b").checked == true)
        ||  (document.getElementById("g992_3j").checked == true)
        ||  (document.getElementById("g992_5j").checked == true)
      )
   {
     p.checked = false;
     alert("Sorry! You can't select this mode!");
     return false;
   }
   if (document.getElementById("g992_3a").checked == false)
   {
     alert("You also have to select G.992.3A !");
     document.getElementById("g992_3a").checked = true;
   }
   return true;
}

function uncheck_AnnexL_mode(p)
{
   if (document.getElementById("g992_3l").checked == true)
   {
     alert("You also have to unselect G.992.3L !");
     document.getElementById("g992_3l").checked = false;
   }
   return true;
}

function check_AnnexB_mode(p)
{
   if ( (document.getElementById("g992_1a").checked == true) 
        ||  (document.getElementById("g992_2").checked == true)
        ||  (document.getElementById("g992_3a").checked == true)
        ||  (document.getElementById("g992_5a").checked == true)
        ||  (document.getElementById("t1_413").checked == true)
        ||  (document.getElementById("g992_3l").checked == true)
        ||  (document.getElementById("g992_3i").checked == true)
        ||  (document.getElementById("g992_5i").checked == true)
        ||  (document.getElementById("g992_3m").checked == true)
        ||  (document.getElementById("g992_5m").checked == true)
      )
   {
     p.checked = false;
     alert("Sorry! You can't select this mode!");
     return false;
   }
   return true;
}


function get_bits_allocation()
{
    document.tF0.submit_action.value="get_bat";
    return true;
}

function enable_adsl_mode_checkbox()
{		
    document.getElementById("g992_1a").disabled = false;
    document.getElementById("g992_2").disabled  = false;
    document.getElementById("g992_3a").disabled = false;
    document.getElementById("g992_5a").disabled = false;
    document.getElementById("t1_413").disabled = false;
    document.getElementById("g992_3l").disabled = false;
    document.getElementById("g992_3i").disabled = false;
    document.getElementById("g992_5i").disabled = false;
    document.getElementById("g992_3m").disabled = false;
    document.getElementById("g992_5m").disabled = false;
    document.getElementById("g992_1b").disabled = false;
    document.getElementById("g992_3b").disabled = false;
    document.getElementById("g992_5b").disabled = false;
    document.getElementById("g992_3j").disabled = false;
    document.getElementById("g992_5j").disabled = false;
}

function disable_adsl_mode_checkbox()
{		
    document.getElementById("g992_1a").disabled = true;
    document.getElementById("g992_2").disabled  = true;
    document.getElementById("g992_3a").disabled = true;
    document.getElementById("g992_5a").disabled = true;
    document.getElementById("t1_413").disabled = true;
    document.getElementById("g992_3l").disabled = true;
    document.getElementById("g992_3i").disabled = true;
    document.getElementById("g992_5i").disabled = true;
    document.getElementById("g992_3m").disabled = true;
    document.getElementById("g992_5m").disabled = true;
    document.getElementById("g992_1b").disabled = true;
    document.getElementById("g992_3b").disabled = true;
    document.getElementById("g992_5b").disabled = true;
    document.getElementById("g992_3j").disabled = true;
    document.getElementById("g992_5j").disabled = true;
}

function chagne_adsl_mode()
{
    switch(document.tF0.adsl_mode.selectedIndex)
    {
	// annex a
	case 0: 
		document.getElementById("g992_1a").checked = true;
		document.getElementById("g992_2").checked  = true;
		document.getElementById("g992_3a").checked = true;
		document.getElementById("g992_5a").checked = true;
		document.getElementById("t1_413").checked = true;
		document.getElementById("g992_3l").checked = true;
		document.getElementById("g992_3i").checked = false;
		document.getElementById("g992_5i").checked = false;
		document.getElementById("g992_3m").checked = false;
		document.getElementById("g992_5m").checked = false;
		document.getElementById("g992_1b").checked = false;
		document.getElementById("g992_3b").checked = false;
		document.getElementById("g992_5b").checked = false;
		document.getElementById("g992_3j").checked = false;
		document.getElementById("g992_5j").checked = false;
                disable_adsl_mode_checkbox();
		break;
	// annex b
	case 1: 
		document.getElementById("g992_1a").checked = false;
		document.getElementById("g992_2").checked  = false;
		document.getElementById("g992_3a").checked = false;
		document.getElementById("g992_5a").checked = false;
		document.getElementById("t1_413").checked = false;
		document.getElementById("g992_3l").checked = false;
		document.getElementById("g992_3i").checked = false;
		document.getElementById("g992_5i").checked = false;
		document.getElementById("g992_3m").checked = false;
		document.getElementById("g992_5m").checked = false;
		document.getElementById("g992_1b").checked = true;
		document.getElementById("g992_3b").checked = true;
		document.getElementById("g992_5b").checked = true;
		document.getElementById("g992_3j").checked = true;
		document.getElementById("g992_5j").checked = true;
                disable_adsl_mode_checkbox();
		break;
	// annex m
	case 2: 
		document.getElementById("g992_1a").checked = false;
		document.getElementById("g992_2").checked  = false;
		document.getElementById("g992_3a").checked = false;
		document.getElementById("g992_5a").checked = false;
		document.getElementById("t1_413").checked = false;
		document.getElementById("g992_3l").checked = false;
		document.getElementById("g992_3i").checked = false;
		document.getElementById("g992_5i").checked = false;
		document.getElementById("g992_3m").checked = true;
		document.getElementById("g992_5m").checked = true;
		document.getElementById("g992_1b").checked = false;
		document.getElementById("g992_3b").checked = false;
		document.getElementById("g992_5b").checked = false;
		document.getElementById("g992_3j").checked = false;
		document.getElementById("g992_5j").checked = false;
                disable_adsl_mode_checkbox();
		break;
	// annex i
	case 3: 
		document.getElementById("g992_1a").checked = false;
		document.getElementById("g992_2").checked  = false;
		document.getElementById("g992_3a").checked = false;
		document.getElementById("g992_5a").checked = false;
		document.getElementById("t1_413").checked = false;
		document.getElementById("g992_3l").checked = false;
		document.getElementById("g992_3i").checked = true;
		document.getElementById("g992_5i").checked = true;
		document.getElementById("g992_3m").checked = false;
		document.getElementById("g992_5m").checked = false;
		document.getElementById("g992_1b").checked = false;
		document.getElementById("g992_3b").checked = false;
		document.getElementById("g992_5b").checked = false;
		document.getElementById("g992_3j").checked = false;
		document.getElementById("g992_5j").checked = false;
                disable_adsl_mode_checkbox();
		break;
	// annex j
	case 4: 
		document.getElementById("g992_1a").checked = false;
		document.getElementById("g992_2").checked  = false;
		document.getElementById("g992_3a").checked = false;
		document.getElementById("g992_5a").checked = false;
		document.getElementById("t1_413").checked = false;
		document.getElementById("g992_3l").checked = false;
		document.getElementById("g992_3i").checked = false;
		document.getElementById("g992_5i").checked = false;
		document.getElementById("g992_3m").checked = false;
		document.getElementById("g992_5m").checked = false;
		document.getElementById("g992_1b").checked = false;
		document.getElementById("g992_3b").checked = false;
		document.getElementById("g992_5b").checked = false;
		document.getElementById("g992_3j").checked = true;
		document.getElementById("g992_5j").checked = true;
                disable_adsl_mode_checkbox();
		break;
	// manual 
	case 5: 
                enable_adsl_mode_checkbox();
		break;
    }
}

function adsl_mode_action()
{
    if (document.tF0.adsl_mode.selectedIndex == 5)
    {
	    var manual_str="Manual";
	    if ( document.getElementById("g992_1a").checked == true )
		    manual_str += "_1"
	    else
		    manual_str += "_0"
	    if ( document.getElementById("g992_2").checked == true )
		    manual_str += "_1"
	    else
		    manual_str += "_0"
	    if ( document.getElementById("g992_3a").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_5a").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("t1_413").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_3l").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_3i").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_5i").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_3m").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_5m").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_1b").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_3b").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_5b").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_3j").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    if ( document.getElementById("g992_5j").checked == true )
	      	    manual_str += "_1"
	    else
	      	    manual_str += "_0"
	    document.tF0.adsl_mode.options[5].value=manual_str;
    }
    document.tF0.submit_action.value="adsl_mode";
    return true;
}

function testmode_control_action()
{
    document.tF0.submit_action.value="testmode_control";
    return true;
}

function power_management_control_action()
{
    document.tF0.submit_action.value="power_management_control";
    return true;
}

function init()
{
  //var adsl_mode="Manual_1_0_0_0_1_0_0_0_0_0_0_0_0_0_0";
  //var testmode_control="Disable";
  //var power_management_control="PMCL3";
  <%ifx_cgi_adsl_phyconfig_initdata();%>

  adsl_mode_array = new Array(16);
  adsl_mode_array = adsl_mode.split("_"); 
  switch(adsl_mode_array[0])
  {
    case "AnnexA":
          document.tF0.adsl_mode.selectedIndex=0;
          break;
    case "AnnexB":
          document.tF0.adsl_mode.selectedIndex=1;
          break;
    case "AnnexM":
          document.tF0.adsl_mode.selectedIndex=2;
          break;
    case "AnnexI":
          document.tF0.adsl_mode.selectedIndex=3;
          break;
    case "AnnexJ":
          document.tF0.adsl_mode.selectedIndex=4;
          break;
    case "Manual":
          document.tF0.adsl_mode.selectedIndex=5;
	  if (adsl_mode_array[1] == "1")
	    document.getElementById("g992_1a").checked = true;
	  else
	    document.getElementById("g992_1a").checked = false;
	  if (adsl_mode_array[2] == "1")
	    document.getElementById("g992_2").checked = true;
	  else
	    document.getElementById("g992_2").checked = false;
	  if (adsl_mode_array[3] == "1")
	    document.getElementById("g992_3a").checked = true;
	  else
	    document.getElementById("g992_3a").checked = false;
	  if (adsl_mode_array[4] == "1")
	    document.getElementById("g992_5a").checked = true;
	  else
	    document.getElementById("g992_5a").checked = false;
	  if (adsl_mode_array[5] == "1")
	    document.getElementById("t1_413").checked = true;
	  else
	    document.getElementById("t1_413").checked = false;
	  if (adsl_mode_array[6] == "1")
	    document.getElementById("g992_3l").checked = true;
	  else
	    document.getElementById("g992_3l").checked = false;
	  if (adsl_mode_array[7] == "1")
	    document.getElementById("g992_3i").checked = true;
	  else
	    document.getElementById("g992_3i").checked = false;
	  if (adsl_mode_array[8] == "1")
	    document.getElementById("g992_5i").checked = true;
	  else
	    document.getElementById("g992_5i").checked = false;
	  if (adsl_mode_array[9] == "1")
	    document.getElementById("g992_3m").checked = true;
	  else
	    document.getElementById("g992_3m").checked = false;
	  if (adsl_mode_array[10] == "1")
	    document.getElementById("g992_5m").checked = true;
	  else
	    document.getElementById("g992_5m").checked = false;
	  if (adsl_mode_array[11] == "1")
	    document.getElementById("g992_1b").checked = true;
	  else
	    document.getElementById("g992_1b").checked = false;
	  if (adsl_mode_array[12] == "1")
	    document.getElementById("g992_3b").checked = true;
	  else
	    document.getElementById("g992_3b").checked = false;
	  if (adsl_mode_array[13] == "1")
	    document.getElementById("g992_5b").checked = true;
	  else
	    document.getElementById("g992_5b").checked = false;
	  if (adsl_mode_array[14] == "1")
	    document.getElementById("g992_3j").checked = true;
	  else
	    document.getElementById("g992_3j").checked = false;
	  if (adsl_mode_array[15] == "1")
	    document.getElementById("g992_5j").checked = true;
	  else
	    document.getElementById("g992_5j").checked = false;
  }
  chagne_adsl_mode();

  switch(testmode_control)
  {
    case "Disable" : 
	             document.tF0.testmode_control[0].checked = true;
    		     break;
    case "ShowTimeLock" : 
    	             document.tF0.testmode_control[1].checked = true;
     		     break;
    case "QuietMode" : 
	             document.tF0.testmode_control[2].checked = true;
    		     break;
  }
	
  switch(power_management_control)
  {
    case "PMCL0" : 
	             document.tF0.power_management_control[0].checked = true;
    		     break;
    case "PMCL2" : 
    	             document.tF0.power_management_control[1].checked = true;
     		     break;
    case "PMCL3" : 
	             document.tF0.power_management_control[2].checked = true;
    		     break;
  }

}

</script>

</head>

<body onload="init()" bgColor="#e4e9f1" link="#0000FF" vlink="#0000FF" alink="#669999" >
  <p>
    <font class="title">
      <b>ADSL Settings</b>
    </font>
  </p>
  <font class="subtitle">Allows Configuration of physical DSL Line</font>

  <form name="tF0" action="/goform/ifx_cgi_adsl_phyconfig" method="post">
    <input type="hidden" name="page" value="adsl_phyconfig.asp">
    <input type="hidden" name="submit_action" value="null">
<table width="100%" border="0" cellspacing="0" cellpadding="6">
<tr>
<td>
<td valign="top">
    <table width="100%" border="0" cellspacing="0" cellpadding="6">
    <tr>
      <td valign ="top" >
      <table width="100%" border="0" cellspacing="0" cellpadding="6">
        <tr class="celltitle">
	  ATU Transmission system Enabling
        </tr>
	<br>
	<tr>
	  <select name="adsl_mode" onchange="chagne_adsl_mode()">
	    <option value="AnnexA_1_1_1_1_1_1_0_0_0_0_0_0_0_0_0" selected>Annex A (auto select) </option>
	    <option value="AnnexB_0_0_0_0_0_0_0_0_1_1_1_1_1_1_1">Annex B (auto select) </option>
	    <option value="AnnexM_0_0_0_0_0_0_0_0_1_1_0_0_0_0_0">Annex M (auto select) </option>
	    <option value="AnnexI_0_0_0_0_0_0_1_1_0_0_0_0_0_0_0">Annex I (auto select) </option>
	    <option value="AnnexJ_0_0_0_0_0_0_0_0_0_0_0_0_0_1_1">Annex J (auto select) </option>
	    <option value="Manual_0_0_0_0_0_0_0_0_0_0_0_0_0_0_0">Manual </option>
	  </select>
          &nbsp; &nbsp;
	  <input type="submit" value="Set" onClick="return adsl_mode_action();">
	</tr>
      </table>
      </td>
      <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="6">
        <tr  class="celltitle">
	  Testmode Control
        </tr>
        <tr>
	  <input type="radio" name="testmode_control" value="Disable" checked="checked" > <font class="textCell"> Disable</font>
	  <br>
	  <input type="radio" name="testmode_control" value="ShowTimeLock" > <font class="textCell">ShowTime Lock </font>
	  <br>
	  <input type="radio" name="testmode_control" value="QuietMode" > <font class="textCell">QuietMode</font>
	  <br>
          <input type="submit" value="Set" onClick="return testmode_control_action();">
        </tr>
	  <br>
        <tr  class="celltitle">
	  Power Management Control
        </tr>
        <tr>
	  <input type="radio" name="power_management_control" value="PMCL0" checked="checked" > <font class="textCell"> L0 </font>
	  <br>
	  <input type="radio" name="power_management_control" value="PMCL2" > <font class="textCell">L2 </font>
	  <br>
	  <input type="radio" name="power_management_control" value="PMCL3" > <font class="textCell"> L3 </font>
	  <br>
          <input type="submit" value="Set"  onClick="return power_management_control_action();">
        </tr>
      </table>
      <td>
    </table>
    <br>
    <br>
    <table width="100%" border="0" cellspacing="0" cellpadding="6">
      <tr  class="celltitle">
        Manual Configuration of ATU Transmission System Enabling
      </tr>
      <tr>
        <td>
        </td>
        <td class="textCell">
	  G.992.1
	  <br>
	  (ADSL)
        </td>
        <td class="textCell">
	  G.992.2
	  <br>
	  (G.lite)
        </td>
        <td class="textCell">
	  G.992.3
	  <br>
	  (ADSL2)
        </td>
        <td class="textCell">
	  G.992.5
	  <br>
	  (ADSL2+)
        </td>
        <td class="textCell">
	  T1.413
        </td>
      </tr>
      <!-- Annex A -->
      <tr>
        <td class="textCell">
	  Annex A
        </td>
        <td class="textCell">
	  <input type="checkbox" id="g992_1a" 
	  onClick="if (this.checked == true) check_AnnexA_mode(this);"> 
        </td>
        <td class="textCell">
	  <input type="checkbox" id="g992_2"  onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
        <td class="textCell">
	  <input type="checkbox" id="g992_3a" onClick="if (this.checked == true) check_AnnexA_mode(this); else uncheck_AnnexL_mode(this);">
        </td>
        <td class="textCell">
	  <input type="checkbox" id="g992_5a" onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
        <td class="textCell">
	  <input type="checkbox" id="t1_413" onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
      </tr>
      <!-- Annex L -->
      <tr>
        <td class="textCell">
	  Annex L
        </td>
        <td class="textCell">
        </td>
        <td class="textCell">
        </td>
        <td class="textCell">
	  <input type="checkbox" id="g992_3l" onClick="if (this.checked == true) check_AnnexL_mode(this);">
        </td>
        <td class="textCell">
        </td>
        <td class="textCell">
        </td>
      </tr>
      <!-- Annex I -->
      <tr>
        <td class="textCell">
	  Annex I
        </td>
        <td class="textCell">
        </td>
        <td class="textCell">
        </td>
        <td class="textCell">
	  <input type="checkbox" id="g992_3i" onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
        <td>
	  <input type="checkbox" id="g992_5i" onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
        <td>
        </td>
      </tr>
      <!-- Annex M -->
      <tr>
        <td class="textCell">
	  Annex M
        </td>
        <td>
        </td>
        <td>
        </td>
        <td>
	  <input type="checkbox" id="g992_3m" onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
        <td>
	  <input type="checkbox" id="g992_5m" onClick="if (this.checked == true) check_AnnexA_mode(this);">
        </td>
        <td>
        </td>
      </tr>
      <!-- Annex B -->
      <tr>
        <td class="textCell">
	  Annex B
        </td>
        <td>
	  <input type="checkbox" id="g992_1b" onClick="if (this.checked == true) check_AnnexB_mode(this);">
        </td>
        <td>
        </td>
        <td>
	  <input type="checkbox" id="g992_3b" onClick="if (this.checked == true) check_AnnexB_mode(this);">
        </td>
        <td>
	  <input type="checkbox" id="g992_5b" onClick="if (this.checked == true) check_AnnexB_mode(this);">
        </td>
        <td>
        </td>
      </tr>
      <!-- Annex J -->
      <tr>
        <td class="textCell">
	  Annex J
        </td>
        <td>
        </td>
        <td>
        </td>
        <td>
	  <input type="checkbox" id="g992_3j" onClick="if (this.checked == true) check_AnnexB_mode(this);">
        </td>
        <td>
	  <input type="checkbox" id="g992_5j" onClick="if (this.checked == true) check_AnnexB_mode(this);">
        </td>
        <td>
        </td>
      </tr>
    </table>
    <br>
<td valign="top">
      <table width="100%" border="1" cellspacing="0" cellpadding="6">
        <tr align="left" class="celltitle" >
          The bits allocated per tone:&nbsp; &nbsp; 
          <input type="submit" value="Get" onClick="return get_bits_allocation();">
        </tr>
        <tr>
          <td class="textCell">
            Tone No. 
          </td>
          <td class="textCell">
            US_BAT 
          </td>
          <td class="textCell">
            DS_BAT 
          </td>
        </tr>
        <% ifx_cgi_adsl_phyconfig_get_bit_allocated_per_tone(); %>
      </table>
</td>
</td>
</tr>
</table>
  </form>
</body>

</html>
