#!/bin/sh

#/etc/rc.d/invoke_upgrade.sh image image_type expand saveenv reboot &

if [ ! "$CONFIGLOADED" ]; then
	if [ -r /etc/rc.d/config.sh ]; then
		. /etc/rc.d/config.sh
		CONFIGLOADED="1"
	fi
fi

if [ "$5" = "reboot" ]; then
	/etc/rc.d/free_memory.sh
	killall br2684ctld
	killall syslogd
	killall httpd
	killall devm
fi

mkdir -p /tmp/newroot/bin
mkdir -p /tmp/newroot/lib
mkdir -p /tmp/newroot/dev
mv $1 /tmp/newroot/image
#cp /lib/libc.so.0 /tmp/newroot/lib
#cp /lib/ld-uClibc.so.0 /tmp/newroot/lib
#cp /lib/libIFXAPIs.so /tmp/newroot/lib
#cp /lib/libifx_common.so /tmp/newroot/lib
#cp /lib/libdl.so.0 /tmp/newroot/lib
#cp /lib/liboamapi.so /tmp/newroot/lib

#if [ $IFX_CONFIG_TR69 -a $IFX_CONFIG_TR69 = "1" ]; then
#	cp /lib/libCommonmips-linux.so /tmp/newroot/lib/
#	cp /lib/libObjAPImips-linux.so /tmp/newroot/lib/
#	cp /lib/libProtoAPImips-linux.so /tmp/newroot/lib/
#	cp /lib/libProtoAdaptmips-linux.so /tmp/newroot/lib/
#	cp /lib/libStubAPIsmips-linux.so  /tmp/newroot/lib/
#fi

#cp /lib/libcrypt.so.0 /tmp/newroot/lib
##cp /usr/sbin/ifx_util /tmp/newroot/bin
##ln -s ifx_util /tmp/newroot/bin/upgrade
cp /usr/sbin/upgrade /tmp/newroot/bin
cp -a /dev/mtd /tmp/newroot/dev/
shift
chroot /tmp/newroot upgrade /image $@ &

