var generalCfgURL='/goform/getCfgGeneralAjax';
function syncWithHost()
{
    var currentTime = new Date();

    var seconds = currentTime.getSeconds();
    var minutes = currentTime.getMinutes();
    var hours = currentTime.getHours();
    var month = currentTime.getMonth() + 1;
    var day = currentTime.getDate();
    var year = currentTime.getFullYear();

    var seconds_str = " ";
    var minutes_str = " ";
    var hours_str = " ";
    var month_str = " ";
    var day_str = " ";
    var year_str = " ";

    if(seconds < 10)
        seconds_str = "0" + seconds;
    else
        seconds_str = ""+seconds;

    if(minutes < 10)
        minutes_str = "0" + minutes;
    else
        minutes_str = ""+minutes;

    if(hours < 10)
        hours_str = "0" + hours;
    else
        hours_str = ""+hours;

    if(month < 10)
        month_str = "0" + month;
    else
        month_str = ""+month;

    if(day < 10)
        day_str = "0" + day;
    else
        day_str = day;

    var tmp = month_str + day_str + hours_str + minutes_str + year + " ";
    //makeRequest("/goform/NTPSyncWithHost", tmp);
    return tmp;
}
function initTime()
{
    var paras='dateInput='+syncWithHost();
    new Ajax.Request(
        '/goform/NTPSyncWithHost1', {
            method: 'get',
            parameters:paras,
            encoding: 'ISO-8859-1',
            onSuccess: function(transport) {
            //nothing
            },

            onFailure:function(transport) {
            //nothing
            }
        });

}
function getDhcpList()
{
    var paras='dateInput='+syncWithHost();
    new Ajax.Request(
        '/goform/NTPSyncWithHost1', {
            method: 'get',
            parameters:paras,
            encoding: 'ISO-8859-1',
            onSuccess: function(transport) {
            //nothing
            },

            onFailure:function(transport) {
            //nothing
            }
        });

}
function replaceBack(input){
    input=input.replace(/&gt;/g, ">").replace(/&lt;/g, "<");;
    return input;
}
function replaceForward(input){
    input=input.replace(/>/g, "&gt;").replace(/</g, "&lt;");
    return input;
}

function doValidateMask(Mask)
{
    var mask = Mask.match("^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$");
    var digits;
    var bMask = 0;
    var watch = false;
    var i;

    if(mask == null) {
        alert('Invalid network mask ' + Mask); return false;
    }
    digits = mask[0].split(".");
    if(digits.length != 4) {
        alert('Invalid network mask ' + Mask); return false;
    }
    for(i=0; i < 4; i++)
    {
        if((Number(digits[i]) > 255 ) || (Number(digits[i]) < 0 ))
        {
            alert('Invalid network mask ' + mask[0]); return false;
        }
        bMask = (bMask << 8) | Number(digits[i]);
    }
    bMask = bMask & 0x0FFFFFFFF;
    for(i=0; i<32; i++)
    {
        if((watch==true) && ((bMask & 0x1)==0)) {
            alert("Invalid Mask " + Mask + " (not contiguous)"); return false;
        }
        bMask = bMask >> 1;
        if((bMask & 0x01) == 1) watch=true;
    }

    return true;
}

function disableTextField(field)
{
    if(document.all || document.getElementById){
        field.disabled = true;
    }else {
        field.oldOnFocus = field.onfocus;
        field.onfocus = skip;
    }
}

function enableTextField(field)
{
    if(document.all || document.getElementById)
        field.disabled = false;
    else {
        field.onfocus = field.oldOnFocus;
    }
} 
function atoi(str, num)
{

  //  alert(str);
    i = 1;
    if (num != 1) {
        while (i != num && str.length != 0) {
            if (str.charAt(0) == '.') {
                i++;
            }
            str = str.substring(1);
        }
        if (i != num)
            return -1;
    }

    for (i=0; i<str.length; i++) {
        if (str.charAt(i) == '.') {
            str = str.substring(0, i);
            break;
        }
    }
    if (str.length == 0)
        return -1;
    if ((str.length>1)&&(str.charAt(0)=='0'))
        return -1;
    if ((str.length==1)&&(str.charAt(0)=='0')&&(num==1))
        return -1;
    return parseInt(str, 10);
}

function checkRange(str, num, min, max){
   
    var d = atoi(str, num); 
    if (d > max || d < min)
        return false;
    return true;
}
function checkRangeNum(num, min, max){
    var d=parseInt(num);
    if (isNaN(d)){
        return false;
    }
    if (d > max || d < min)
        return false;
    return true;
}
function isAllNum(str){
    for (var i=0; i<str.length; i++) {
        if ((str.charAt(i) >= '0' && str.charAt(i) <= '9') || (str.charAt(i) == '.' ))
            continue;
        return false;
    }
    return true;
}

function hideElement(element){
    element.style.visibility = "hidden";
    element.style.display = "none";
}

function showElement(element){
    element.style.visibility = "visible";
    element.style.display = style_display_on();
}
function showHideElement(element,show){
    if (show==1){
        element.style.visibility = "visible";
        element.style.display = style_display_on();
    }else if (show==0){
        element.style.visibility = "hidden";
        element.style.display = 'none';
    }
}
function style_display_on(){
    return '';
}
function checkpositivenumberonly(field, ismask, pageTitle){
	 var str = field.value;
	 var num = parseInt(str);
	 
	if (!isAllNum(field.value)) {
        Modalbox.showWithTimeout('<center><h1>Error: Positive numbers only.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    	}

	if (!checkRangeNum(num, 1, 100)){
	Modalbox.showWithTimeout('<center><h1>Error: Range should be between 1 to 100</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
	}
	
	return true;
}

function checkpositivenumberonly1(field, ismask, pageTitle){
	 var str = field.value;
	 var num = parseInt(str);
	 
	if (!isAllNum(field.value)) {
        Modalbox.showWithTimeout('<center><h1>Error: Positive numbers only.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    	}

	if (!checkRangeNum(num, 1, 9999999999)){
	Modalbox.showWithTimeout('<center><h1>Error: Positive numbers only.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
	}
	
	return true;
}


function checkpositivenumberonly2(field, ismask, pageTitle){
	 var str = field.value;
	 var num = parseInt(str);
	 
	if (!isAllNum(field.value)) {
        Modalbox.showWithTimeout('<center><h1>Error: Positive numbers only.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    	}

	if (!checkRangeNum(num, 0, 1000)){
	Modalbox.showWithTimeout('<center><h1>Error: Positive numbers only.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
	}
	
	return true;
}

function checkIpAddr(field, ismask,pageTitle){

    var str = field.value;
    //alert(field.value)
    var matches =str.match(/\./g);
    //alert(matches.length);
    if (field.value == "") {

        Modalbox.showWithTimeout('<center><h1>Error: IP address is empty.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    }

    if (!isAllNum(field.value)) {
        Modalbox.showWithTimeout('<center><h1>Error: Only numbers are allowed.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    }

    if (ismask) {
        if ((!checkRange(field.value, 1, 0, 255)) ||
            (!checkRange(field.value, 2, 0, 255)) ||
            (!checkRange(field.value, 3, 0, 255)) ||
            (!checkRange(field.value, 4, 0, 255)) ||
            (matches.length>3))
            {

            Modalbox.showWithTimeout('<center><h1>Error: Invalid IP Address.</h1></center>',
            {
                title: pageTitle,
                height: 90
            });
            field.value = field.defaultValue;
            field.focus();
            return false;
        }
    }
    else {
        if ((!checkRange(field.value, 1, 0, 255)) ||
            (!checkRange(field.value, 2, 0, 255)) ||
            (!checkRange(field.value, 3, 0, 255)) ||
            (!checkRange(field.value, 4, 1, 254)) ||
            (matches.length>3))
            {
            Modalbox.showWithTimeout('<center><h1>Error: Invalid IP Address.</h1></center>',
            {
                title: pageTitle,
                height: 90
            });
            field.value = field.defaultValue;
            field.focus();
            return false;
        }
    }
    return true;
}




function AZ_checkIpAddr(field, ismask,pageTitle){

    var str = field.value;
    //alert(field.value)
    var matches =str.match(/\./g);
    //alert(matches.length);
    if (field.value == "") {

        Modalbox.showWithTimeout('<center><h1>Error: IP address is empty.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    }

    if (!isAllNum(field.value)) {
        Modalbox.showWithTimeout('<center><h1>Error: Invalid IP Address.</h1></center>',
        {
            title: pageTitle,
            height: 90
        });
        field.value = field.defaultValue;
        field.focus();
        return false;
    }

    if (ismask) {
        if ((!checkRange(field.value, 1, 0, 255)) ||
            (!checkRange(field.value, 2, 0, 255)) ||
            (!checkRange(field.value, 3, 0, 255)) ||
            (!checkRange(field.value, 4, 0, 255)) ||
            (matches.length>3))
            {

            Modalbox.showWithTimeout('<center><h1>Error: Invalid IP Address.</h1></center>',
            {
                title: pageTitle,
                height: 90
            });
            field.value = field.defaultValue;
            field.focus();
            return false;
        }
    }
    else {
        if ((!checkRange(field.value, 1, 0, 255)) ||
            (!checkRange(field.value, 2, 0, 255)) ||
            (!checkRange(field.value, 3, 0, 255)) ||
            (!checkRange(field.value, 4, 1, 254)) ||
            (matches.length>3))
            {
            Modalbox.showWithTimeout('<center><h1>Error: Invalid IP Address.</h1></center>',
            {
                title: pageTitle,
                height: 90
            });
            field.value = field.defaultValue;
            field.focus();
            return false;
        }
    }
    return true;
}
























function messageAlert(msg,pageTitle){
    Modalbox.showWithTimeout('<center><h1>'+msg+'</h1></center>',{
        title: pageTitle,
        height: 90
    });
}
function macAddressTest(value){
    var re = /[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}:[A-Fa-f0-9]{2}/;
    return re.test(value);
}
function checkHex(str){
    var len = str.length;

    for (var i=0; i<str.length; i++) {
        if ((str.charAt(i) >= '0' && str.charAt(i) <= '9') ||
            (str.charAt(i) >= 'a' && str.charAt(i) <= 'f') ||
            (str.charAt(i) >= 'A' && str.charAt(i) <= 'F') ){
            continue;
        }else
            return false;
    }
    return true;
}

function checkInjection(str)
{
    var len = str.length;
    for (var i=0; i<str.length; i++) {
        if ( str.charAt(i) == '\r' || str.charAt(i) == '\n'){
            return false;
        }else
            continue;
    }
    return true;
}
function getTimeZoneIndex(tz){
    if (tz == "UCT_-11")
        return 0;
    else if (tz == "UCT_-10")
        return  1;
    else if (tz == "NAS_-09")
        return  2;
    else if (tz == "PST_-08")
        return  3;
    else if (tz == "MST_-07")
        return  4;
    else if (tz == "MST_-07")
        return  5;
    else if (tz == "CST_-06")
        return  6;
    else if (tz == "UCT_-06")
        return  7;
    else if (tz == "UCT_-05")
        return  8;
    else if (tz == "EST_-05")
        return  9;
    else if (tz == "AST_-04")
        return  10;
    else if (tz == "UCT_-04")
        return 11;
    else if (tz == "UCT_-03")
        return  12;
    else if (tz == "EBS_-03")
        return  13;
    else if (tz == "NOR_-02")
        return 14;
    else if (tz == "EUT_-01")
        return  15;
    else if (tz == "UCT_000")
        return 16;
    else if (tz == "GMT_000")
        return 17;
    else if (tz == "MET_001")
        return  18;
    else if (tz == "MEZ_001")
        return  19;
    else if (tz == "UCT_001")
        return 20;
    else if (tz == "EET_002")
        return 21;
    else if (tz == "SAS_002")
        return 22;
    else if (tz == "IST_003")
        return  23;
    else if (tz == "MSK_003")
        return  24;
    else if (tz == "UCT_004")
        return 25;
    else if (tz == "UCT_005")
        return 26;
    else if (tz == "UCT_006")
        return 27;
    else if (tz == "UCT_007")
        return 28;
    else if (tz == "CST_008")
        return 29;
    else if (tz == "CCT_008")
        return  30;
    else if (tz == "SST_008")
        return  31;
    else if (tz == "AWS_008")
        return 32;
    else if (tz == "JST_009")
        return 33;
    else if (tz == "KST_009")
        return  34;
    else if (tz == "UCT_010")
        return 35;
    else if (tz == "AES_010")
        return  36;
    else if (tz == "UCT_011")
        return 37;
    else if (tz == "UCT_012")
        return 38;
    else if (tz == "NZS_012")
        return 39;
    return 0;
}

var ChannelList_24G = new Array(14);
ChannelList_24G[0] = "1"; //"2412MHz (Channel 1)";
ChannelList_24G[1] = "2"; //"2417MHz (Channel 2)";
ChannelList_24G[2] = "3"; //"2422MHz (Channel 3)";
ChannelList_24G[3] = "4"; //"2427MHz (Channel 4)";
ChannelList_24G[4] = "5"; //"2432MHz (Channel 5)";
ChannelList_24G[5] = "6"; //"2437MHz (Channel 6)";
ChannelList_24G[6] = "7"; //"2442MHz (Channel 7)";
ChannelList_24G[7] = "8"; //"2447MHz (Channel 8)";
ChannelList_24G[8] = "9"; //"2452MHz (Channel 9)";
ChannelList_24G[9] = "10"; //"2457MHz (Channel 10)";
ChannelList_24G[10] = "11"; //"2462MHz (Channel 11)";
ChannelList_24G[11] = "12"; //"2467MHz (Channel 12)";
ChannelList_24G[12] = "13"; //"2472MHz (Channel 13)";
ChannelList_24G[13] = "14"; //"2484MHz (Channel 14)";

var ChannelList_5G = new Array(33);
ChannelList_5G[0] = "36"; //"5180MHz (Channel 36)";
ChannelList_5G[1] = "40"; //"5200MHz (Channel 40)";
ChannelList_5G[2] = "44"; //"5220MHz (Channel 44)";
ChannelList_5G[3] = "48"; //"5240MHz (Channel 48)";
ChannelList_5G[4] = "52"; //"5260MHz (Channel 52)";
ChannelList_5G[5] = "56"; //"5280MHz (Channel 56)";
ChannelList_5G[6] = "60"; //"5300MHz (Channel 60)";
ChannelList_5G[7] = "64"; //"5320MHz (Channel 64)";
ChannelList_5G[16] = "100"; //"5500MHz (Channel 100)";
ChannelList_5G[17] = "104"; //"5520MHz (Channel 104)";
ChannelList_5G[18] = "108"; //"5540MHz (Channel 108)";
ChannelList_5G[19] = "112"; //"5560MHz (Channel 112)";
ChannelList_5G[20] = "116"; //"5580MHz (Channel 116)";
ChannelList_5G[21] = "120"; //"5600MHz (Channel 120)";
ChannelList_5G[22] = "124"; //"5620MHz (Channel 124)";
ChannelList_5G[23] = "128"; //"5640MHz (Channel 128)";
ChannelList_5G[24] = "132"; //"5660MHz (Channel 132)";
ChannelList_5G[25] = "136"; //"5680MHz (Channel 136)";
ChannelList_5G[26] = "140"; //"5700MHz (Channel 140)";
ChannelList_5G[28] = "149"; //"5745MHz (Channel 149)";
ChannelList_5G[29] = "153"; //"5765MHz (Channel 153)";
ChannelList_5G[30] = "157"; //"5785MHz (Channel 157)";
ChannelList_5G[31] = "161"; //"5805MHz (Channel 161)";
ChannelList_5G[32] = "165"; //"5825MHz (Channel 165)";

var HT5GExtCh = new Array(22);

HT5GExtCh[0] = new Array(1, "40"); // channel 36's extension channel
HT5GExtCh[1] = new Array(0, "36"); // channel 40's extension channel
HT5GExtCh[2] = new Array(1, "48"); // channel 44's extension channel
HT5GExtCh[3] = new Array(0, "44"); // channel 48's extension channel
HT5GExtCh[4] = new Array(1, "56"); // channel 52's extension channel
HT5GExtCh[5] = new Array(0, "52"); // channel 56's extension channel
HT5GExtCh[6] = new Array(1, "64"); // channel 60's extension channel
HT5GExtCh[7] = new Array(0, "60"); // channel 64's extension channel
HT5GExtCh[8] = new Array(1, "104"); // channel 100's extension channel
HT5GExtCh[9] = new Array(0, "100"); // channel 104's extension channel
HT5GExtCh[10] = new Array(1, "112"); // channel 108's extension channel
HT5GExtCh[11] = new Array(0, "108"); // channel 112's extension channel
HT5GExtCh[12] = new Array(1, "120"); // channel 116's extension channel
HT5GExtCh[13] = new Array(0, "116"); // channel 120's extension channel
HT5GExtCh[14] = new Array(1, "128"); // channel 124's extension channel
HT5GExtCh[15] = new Array(0, "124"); // channel 128's extension channel
HT5GExtCh[16] = new Array(1, "136"); // channel 132's extension channel
HT5GExtCh[17] = new Array(0, "132"); // channel 136's extension channel
HT5GExtCh[18] = new Array(1, "153"); // channel 149's extension channel
HT5GExtCh[19] = new Array(0, "149"); // channel 153's extension channel
HT5GExtCh[20] = new Array(1, "161"); // channel 157's extension channel
HT5GExtCh[21] = new Array(0, "157"); // channel 161's extension channel


function RTrim(str){
  for (var i=str.length-1; str.charAt(i)==" "; i--){
    str = str.substring(0,i);
  }
  return str;
}

function verifyStr(value)
{
	var validChars="abcdefghijklmnopqrstuvwxyz" +
				   "ABCDEFGHIJKLMNOPQRSTUVWXYZ" +
				   "0123456789" +
				   "_";

	var len = value.length;

	if(len == 0)
	{
		return "Error:Empty string";
	}

	var idx;
	for(var i=0; i<len; i++)
	{
		idx = validChars.indexOf(value.charAt(i));

		if(idx == -1)
		{
			return "Error:Invalid Character found";
		}
	}
	
	return "";
}

function checkLogin(strAjax)
{
	var idx;
	
	idx = strAjax.indexOf("<title>Login</title>");
	//alert(idx);
	if(idx != -1)
		window.location = "login.asp";
}

function currsysTime(){
        var paras = 'uncache=' + new Date().getTime();
        new Ajax.Request(
        '/goform/AZ_get_systemtime', {
        method: 'get',
        parameters:paras,
        onSuccess: function(transport) {
                        var str=transport.responseText;
                        var time_str=str.split(" ");
                        checkLogin(time_str);

			if(time_str.length >= 5)
			{
				$('unreadTimeDiv').innerHTML='<font color="#FFFFFF">'+time_str[0]+' '+time_str[1]+' '+time_str[2]+' '+time_str[4]+' '+time_str[3]+'</font>';
			}
			else
			{	
				$('unreadTimeDiv').innerHTML='<font color="#FFFFFF"></font>';
			}
        }
        });
}
function currSystemTime(){
                currsysTime();
                setTimeout('currSystemTime()', 5000);
}

//var telcogui = <% TELCO_GUI_Support(); %>;
var telcogui = "0";
function checkUser()
{

	var paras = 'uncache=' + new Date().getTime();
	new Ajax.Request(
	'/goform/AZ_get_currUser', {
	method: 'get',
	parameters:paras,
	onSuccess: function(transport) {
		var cUser = transport.responseText;

		if(cUser == "1")
		{
			Modalbox.showWithTimeout('<center><h1>Permission denied, Please Login as Administrator.</h1></center>',
			{
			title: "Login",
			height: 90
			});
		}
		else
		{
			window.location.href = "/netLan.asp";
		}
	}
	});
					
}

