<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>Firewall | Packet Filtering</title>
<script language="JavaScript">
prev_up_min_bw = 0;
prev_dn_min_bw = 0;
ipm='the IP Address you entered are invalid.';
sm='the prot you entered are invalid.';
rm='The latter of the port range must be larger than the former.';
dfm1='Bandwidth you entered are invalid. Valid range: 1 - 100.';
dfm2_up='Invalid Upstream bandwidth. Upstream maximum bandwidth is less than upstream minimum bandwidth.';
dfm2_dn='Invalid Downstream bandwidth. Downstream maximum bandwidth is less than downstream minimum bandwidth.';
dfm3_up='Sum of all virtual server\'s upstream minimum bandwidth is invalid. Valid range: 1 - 100 excluding ALGs minimum bandwidth reservation (ALG Min Bandwidth reservation = <%ifx_get_algmin();%>)';
dfm3_dn='Sum of all virtual server\'s downstream minimum bandwidth is invalid. Valid range: 1 - 100 excluding ALGs minimum bandwidth reservation (ALG Min Bandwidth reservation = <%ifx_get_algmin();%>)';
dfm4_up='Warning!! Total upstream bandwidth is 100%, don\'t you reserve bandwidth for normal traffic?';
dfm4_dn='Warning!! Total downstream bandwidth is 100%, don\'t you reserve bandwidth for normal traffic?';

function isBlank(s)
{
 for(i=0;i<s.length;i++)
 {
  c=s.charAt(i);
  if((c!=' ')&&(c!='\n')&&(c!='\t'))return false;
 }
 return true;
}

function isNValidIP(s) {
 if((isBlank(s))||(isNaN(s))||(s<0||s>254))
    return true;
 else
    return false;
}

function isNValidPort(s) {
 if((isBlank(s))||(isNaN(s)) || (s>65535) || (s<0))
    return true;
 else
    return false;
}

function isNValidBandwidth(s) {
  if ((isBlank(s)) || (isNaN(s)) || (s>100) || (s<1))
    return true;
  else
    return false;
}

function evaltF()
{
	bandwidth = 0;
	up_min_bw = 0;
	dn_min_bw = 0;
	e_bw = 0;

	if(isBlank(document.tF0.NATVS_PPORT.value))
	{
			alert("Please fill in the Public Port Value !!");
			return false;
	}

	/* if(!(isBlank(document.tF0.NATVS_PIP.value)) || !(isBlank(document.tF0.NATVS_PPORT.value)) || !(isBlank(document.tF0.NATVS_PUPORT.value)))
	{
		if (isNValidIP(document.tF0.NATVS_PIP.value)){ alert(ipm); return false; }
		if (isNValidPort(document.tF0.NATVS_PPORT.value) || isNValidPort(document.tF0.NATVS_PUPORT.value)){ alert(sm); return false; }
	}
	 */

	if (isNValidPort(document.tF0.NATVS_PPORT.value) || isNValidPort(document.tF0.NATVS_PUPORT.value)){
		alert(sm); return false;
	}

	if(!(isBlank(document.tF0.NATVS_RIP4.value)))
	{
		//alert(document.tF0.NATVS_RIP4.value);
		if (isNValidIP(document.tF0.NATVS_RIP4.value)){ alert(ipm); return false; }
	}

	if(!(isBlank(document.tF0.NATVS_RIP3.value)))
	{
		//alert(document.tF0.NATVS_RIP3.value);
		if (isNValidIP(document.tF0.NATVS_RIP3.value)){ alert(ipm); return false; }
	}

	if(!(isBlank(document.tF0.NATVS_RIP2.value)))
	{
		//alert(document.tF0.NATVS_RIP2.value);
		if (isNValidIP(document.tF0.NATVS_RIP2.value)){ alert(ipm); return false; }
	}

	if(!(isBlank(document.tF0.NATVS_RIP1.value)))
	{
		//alert(document.tF0.NATVS_RIP1.value);
		if (isNValidIP(document.tF0.NATVS_RIP1.value)){ alert(ipm); return false; }
	}

	pip_array=document.tF0.pip_indices.value;
	pip_array_len=document.tF0.pip_indices.value.length;
	for(i=0; i<pip_array_len; i+=2)
	{
		switch(pip_array[i])
		{
			case "4":
				if(!(isBlank(document.tF0.NATVS_PIP4.value)))
				{
					if (isNValidIP(document.tF0.NATVS_PIP4.value)){ alert(ipm); return false; }
					if (document.tF0.NATVS_PIP4.value < 1) { alert("Private ip should be in the range 1-254"); return false; }
				}
				break;
			case "3":
				if(!(isBlank(document.tF0.NATVS_PIP3.value)))
				{
					if (isNValidIP(document.tF0.NATVS_PIP3.value)){ alert(ipm); return false; }
					if (document.tF0.NATVS_PIP3.value < 1) { alert("Private ip should be in the range 1-254"); return false; }
				}
				break;
			case "2":
				if(!(isBlank(document.tF0.NATVS_PIP2.value)))
				{
					if (isNValidIP(document.tF0.NATVS_PIP2.value)){ alert(ipm); return false; }
					if (document.tF0.NATVS_PIP2.value < 1) { alert("Private ip should be in the range 1-254"); return false; }
				}
				break;
			case "1":
				if(!(isBlank(document.tF0.NATVS_PIP1.value)))
				{
					if (isNValidIP(document.tF0.NATVS_PIP1.value)){ alert(ipm); return false; }
					if (document.tF0.NATVS_PIP1.value < 1) { alert("Private ip should be in the range 1-254"); return false; }
				}
				break;
		}
	}

	if (document.tF0.diffserv_vs_enable.value == 1)
	{
		if (!(isBlank(document.tF0.NATVS_DN_MIN_BW.value)) || (!isBlank(document.tF0.NATVS_UP_MIN_BW.value)) || 
			!(isBlank(document.tF0.NATVS_DN_MAX_BW.value)) || !(isBlank(document.tF0.NATVS_UP_MAX_BW.value)))
		{
            if (isNValidBandwidth(document.tF0.NATVS_DN_MIN_BW.value)) { alert(dfm1); return false; }
            if (isNValidBandwidth(document.tF0.NATVS_DN_MAX_BW.value)) { alert(dfm1); return false; }
            if (isNValidBandwidth(document.tF0.NATVS_UP_MIN_BW.value)) { alert(dfm1); return false; }
            if (isNValidBandwidth(document.tF0.NATVS_UP_MAX_BW.value)) { alert(dfm1); return false; }
			b_diff = eval(document.tF0.NATVS_UP_MAX_BW.value) - eval(document.tF0.NATVS_UP_MIN_BW.value);
			if (b_diff < 0)
			{
				alert(dfm2_up);
				return false;
			}
			b_diff = eval(document.tF0.NATVS_DN_MAX_BW.value) - eval(document.tF0.NATVS_DN_MIN_BW.value);
			if (b_diff < 0)
			{
				alert(dfm2_dn);
				return false;
			}
			up_min_bw = <% ifx_get_nat_vs_bandwidth("up_min_bw") %>;
			dn_min_bw = <% ifx_get_nat_vs_bandwidth("dn_min_bw") %>;

			if (up_min_bw == -1 || dn_min_bw == -1)
			{
				alert("Failed to get the bandwidth values of all Virtual Servers");
				return false;
			}

			up_min_bw = <% ifx_get_nat_vs_bandwidth("up_min_bw") %> - prev_up_min_bw;
			dn_min_bw = <% ifx_get_nat_vs_bandwidth("dn_min_bw") %> - prev_dn_min_bw;

			up_min_bw += eval(document.tF0.NATVS_UP_MIN_BW.value);
			e_bw = 100 - <%ifx_get_algmin();%>;
			if (up_min_bw > e_bw)
			{
				alert(dfm3_up);
				return false;
			}

			dn_min_bw += eval(document.tF0.NATVS_DN_MIN_BW.value);
			if (dn_min_bw > e_bw)
			{
				alert(dfm3_dn);
				return false;
			}

			if (up_min_bw == 100) { return confirm(dfm4_up); }
			if (dn_min_bw == 100) { return confirm(dfm4_dn); }
		}
	}

	document.tF0.natvsAction.value="Modify";
   	return true;
}
function update_values()
{
	document.tF0.submit();
}

function update_bw_values()
{
	prev_up_min_bw = document.tF0.NATVS_UP_MIN_BW.value;
	prev_dn_min_bw = document.tF0.NATVS_DN_MIN_BW.value;
}
</script>
</head>
<body bgColor="#e4e9f1" onLoad="update_bw_values()"><!-- onLoad="update_values();"-->
<!-- <form name="tF0" action="/goform/ifx_set_test_nat_virtualser_add" method="post"> -->
<form name="tF0" action="/goform/ifx_set_nat_virtualser" method="post">
<input type="hidden" name="page" value="nat_virtualser_mod.asp">
<input type="hidden" name="delflag" value="0">
<input type="hidden" name="delindex">
<input type="hidden" name="natvsAction" value="Modify">
<input type="hidden" name="pip_indices" value="<% ifx_get_ip_addr_format("pip_indices") %>">
<input type="hidden" name="cpeId_selected" value="<% ifx_get_nat_virtualser_data("cpeId") %>">
<input type="hidden" name="diffserv_vs_enable" value="<% ifx_get_nat_virtualser_data("diffserv_vs_enable") %>">
<table border="0" cellspacing="0" cellpadding="10" height="95%"  width="100%">
  <tr> 
	<td valign="top"><font class="title"><b>Configure Port Forwarding</b> </font><br><br>
		<font class="subtitle"> 
		Configure the <%ifx_get_adsl_mode()%> as a Virtual Server so that external service requests can be redirected to<br>
		the internal Servers such as FTP or WEB<br><br>
		</font>
	  <table border=0 cellspacing=1 cellpadding=5 align="left">
		<tr>
		  <th nowrap class="celltitle" >Type</th>
		  <td nowrap bgcolor="#FFFFFF"><font face="Verdana" size="2">
		  <input type=radio name="NATVS_PTYPE" value="1" <% ifx_get_nat_virtualser_data("protocol_tcp") %>>TCP&nbsp;&nbsp;&nbsp;&nbsp;
		  <input type=radio name="NATVS_PTYPE" value="2" <% ifx_get_nat_virtualser_data("protocol_udp") %>>UDP
		  </td>
		  </td>
		</tr>

		<div id="Hidden_Src_IP">
		<tr>
		  <th nowrap class="celltitle">Private IP</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
			
<!--            <input maxLength="3" name="NATVS_PIP" size="3" value=""> -->
<% ifx_get_nat_virtualser_data("private_ip") %>
		   </td>
		</tr>
		</div>

		<div id="Hidden_Rem_IP">
		<tr>
		  <th nowrap class="celltitle">Remote IP</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="3" name="NATVS_RIP1" size="3" value="<% ifx_get_nat_virtualser_data("remote_ip1") %>">.
            <input maxLength="3" name="NATVS_RIP2" size="3" value="<% ifx_get_nat_virtualser_data("remote_ip2") %>">.
            <input maxLength="3" name="NATVS_RIP3" size="3" value="<% ifx_get_nat_virtualser_data("remote_ip3") %>">.
            <input maxLength="3" name="NATVS_RIP4" size="3" value="<% ifx_get_nat_virtualser_data("remote_ip4") %>">
<!-- <% ifx_get_nat_virtualser_data("remote_ip") %> -->
		   </td>
		</tr>
		</div>


		<div id="Hidden_Src_Mask">
		<tr>
		  <th nowrap class="celltitle">Private Port</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="5" name="NATVS_PPORT" size="6" value="<% ifx_get_nat_virtualser_data("private_port") %>">
		   </td>
		</tr>
		</div>

		<div id="Hidden_Src_Port">
		<tr>
		  <th nowrap class="celltitle">Public Port</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="5" name="NATVS_PUPORT" size="6" value="<% ifx_get_nat_virtualser_data("public_port") %>">
		  </td>
		</tr>
		</div>

		<div id="Hidden_Dst_IP">
		<tr>
		  <th nowrap class="celltitle">Enable</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input type="checkbox" name="NATVS_F" value="1" <% ifx_get_nat_virtualser_data("f_enable") %>>
		   </td>
		</tr>
		</div>

		<script language="JavaScript">
			var qos_enabled=<% ifx_get_qos_supported("QoS_enable") %>;
			if(qos_enabled == 1)
			{
				document.write("<div id=\"Hidden_Dst_Mask\">");
				document.write("<tr>");
				document.write("<th nowrap class=\"celltitle\">UPSTREAM : Min BW</th>");
				document.write("<td nowrap align=left bgcolor=\"#FFFFFF\"><font face=\"Verdana\" size=\"2\">");
				document.write("<input maxLength=\"3\" name=\"NATVS_UP_MIN_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("up_min_bw") %>\">%");
				document.write("</td>");
				document.write("</tr>");
				document.write("</div>");
				document.write("<div id=\"Hidden_Dst_Port\">");
				document.write("<tr>");
				document.write("<th nowrap class=\"celltitle\">UPSTREAM : Max BW</th>");
				document.write("<td nowrap align=left bgcolor=\"#FFFFFF\"><font face=\"Verdana\" size=\"2\">");
				document.write("<input maxLength=\"3\" name=\"NATVS_UP_MAX_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("up_max_bw") %>\">%");
				document.write("</td>");
				document.write("</tr>");
				document.write("</div>");
				document.write("<tr>");
				document.write("<th nowrap class=\"celltitle\">UPSTREAM : QoS Enable</th>");
				document.write("<td nowrap align=left bgcolor=\"#FFFFFF\"><font face=\"Verdana\" size=\"2\">");
				document.write("<input type=\"checkbox\" name=\"NATVS_UP_QOS_ENABLE\" value=\"1\" <% ifx_get_nat_virtualser_data("up_qos") %>>");
				document.write("</td>");
				document.write("</tr>");

				document.write("<div id=\"Hidden_Dst_Mask\">");
				document.write("<tr>");
				document.write("<th nowrap class=\"celltitle\">DOWNSTREAM : Min BW</th>");
				document.write("<td nowrap align=left bgcolor=\"#FFFFFF\"><font face=\"Verdana\" size=\"2\">");
				document.write("<input maxLength=\"3\" name=\"NATVS_DN_MIN_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("dn_min_bw") %>\">%");
				document.write("</td>");
				document.write("</tr>");
				document.write("</div>");
				document.write("<div id=\"Hidden_Dst_Port\">");
				document.write("<tr>");
				document.write("<th nowrap class=\"celltitle\">DOWNSTREAM : Max BW</th>");
				document.write("<td nowrap align=left bgcolor=\"#FFFFFF\"><font face=\"Verdana\" size=\"2\">");
				document.write("<input maxLength=\"3\" name=\"NATVS_DN_MAX_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("dn_max_bw") %>\">%");
				document.write("</td>");
				document.write("</tr>");
				document.write("</div>");
				document.write("<tr>");
				document.write("<th nowrap class=\"celltitle\">DOWNSTREAM : QoS Enable</th>");
				document.write("<td nowrap align=left bgcolor=\"#FFFFFF\"><font face=\"Verdana\" size=\"2\">");
				document.write("<input type=\"checkbox\" name=\"NATVS_DN_QOS_ENABLE\" value=\"1\" <% ifx_get_nat_virtualser_data("dn_qos") %>>");
				document.write("</td>");
				document.write("</tr> ");
			} 
			else
			{
				document.write("<input type=\"hidden\" maxLength=\"3\" name=\"NATVS_UP_MIN_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("up_min_bw") %>\">");
				document.write("<input type=\"hidden\" maxLength=\"3\" name=\"NATVS_UP_MAX_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("up_max_bw") %>\">");
				document.write("<input type=\"hidden\" name=\"NATVS_UP_QOS_ENABLE\" value=\"1\">");
				document.write("<input type=\"hidden\" maxLength=\"3\" name=\"NATVS_DN_MIN_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("dn_min_bw") %>\">");
				document.write("<input type=\"hidden\" maxLength=\"3\" name=\"NATVS_DN_MAX_BW\" size=\"3\" value=\"<% ifx_get_nat_virtualser_data("dn_max_bw") %>\">");
				document.write("<input type=\"hidden\" name=\"NATVS_DN_QOS_ENABLE\" value=\"1\">");
			} 
		</script>

		<tr>
			<th nowrap class="celltitle">WAN Interface</td>
			<td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="NATVS_WAN_CONN" size="1">
					<% ifx_get_nat_virtualser_data("wan_conn_if") %>
				</select>
			</td>

	  </table>
	</td>
  </tr>
  <tr>
	<td valign="top" height="2">
	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td>
			<div align="center">
			<a href="javascript:void(0);" onClick="window.open('help.htm#filter','help','toolbar=0,status=0,menubar=0,scrollbars=1,resizable=1,width=530,height=400,left=150,top=150');"><img src="images/help.gif" width="57" height="57" border="0"></a>
			<a href="javascript:document.forms[0].submit()" onClick="return evaltF();"><img src="images/apply1.gif" width="56" height="57" border="0"></a>
			<a href="javascript:document.tF0.reset()"><img src="images/cancel.gif" alt="" border="0" width="56" height="57" ></a>
			</div>
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
</table>
</form>
</body>
</html>
