<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>QOS | Policy based Routing </title>
<script language="JavaScript">
ipm='the IP Address you entered are invalid.';
sm='the prot you entered are invalid.';
rm='The latter of the port range must be larger than the former.';
ds='DiffServ Mark not entered corrrectly';
of='Either of Output Interface or Gateway IP Address should be entered';

function validateIP(addr,addr_type,mask)
{
	var addr_array = addr.split(".");
	var i = 0;
	for(i = 0; i < 4; i++)
	{
		if(addr_type == 2)
		{
			if(mask == 1)
			{
				if ((isBlank(addr_array[i]))||(isNaN(addr_array[i]))||(addr_array[i]<0||addr_array[i]>255))
					{return false;}
			}
			else
			{
				if ((isBlank(addr_array[i]))||(isNaN(addr_array[i]))||(addr_array[i]<0||addr_array[i]>254))
					{return false;}
			}
		}
		else if(addr_type == 1)
		{
			if(mask == 0)
			{
				if ((isBlank(addr_array[i]))||(isNaN(addr_array[i]))||(addr_array[i]<1||addr_array[i]>254))
					{return false;}
			}
		}
	}
	return true;
}

function checkValid(proto,src_ip,src_mask,src_subnet_flag,src_port,dst_ip,dst_mask,dst_subnet_flag,dst_port, diffserv, gw_ip, op_if)
{
//	alert("in check valid");
	if(src_subnet_flag != "*" && src_ip == "")
	{
		alert("Source Ip Address cannot be NULL");
		return false;
	}
	if (!isNValidIPs(src_ip,src_subnet_flag) || !validateIP(src_ip,src_subnet_flag,0)) { alert("Invalid Source IpAddress"); return false; }
	if(src_subnet_flag == 2 && src_mask == "")
	{
		alert("Source Netmask Address cannot be NULL");
		return false;
	}
	if (!isNValidIPs(src_mask,src_subnet_flag) || !validateIP(src_mask,src_subnet_flag,1)) { alert("Invalid Source Netmask Ip Address"); return false; }
	if(dst_subnet_flag != "*" && dst_ip == "")
	{
		alert("Destination Ip Address cannot be NULL");
		return false;
	}
	if (!isNValidIPs(dst_ip,dst_subnet_flag) || !validateIP(dst_ip,dst_subnet_flag,0)) { alert("Invalid Destination Ip Address"); return false; }
	if(dst_subnet_flag == 2 && dst_mask == "")
	{
		alert("Destination Netmask Address cannot be NULL");
		return false;
	}
	if (!isNValidIPs(dst_mask,dst_subnet_flag) || !validateIP(dst_mask,dst_subnet_flag,1)) { alert("Invalid Destination Netmask Ip Address"); return false; }
	if (proto==6 || proto==17)
	{
		if (!isBlank(src_port_s))
		{
 			if (isNValidPort(src_port_s)){ alert(sm); return false; }
 			if ((src_port_s > 65535)) { alert(pm); return false; }
		}
		if (!isBlank(src_port_e))
		{
 			if (isNValidPort(src_port_e)){ alert(sm); return false; }
 			if ((src_port_e > 65535)) { alert(pm); return false; }
		}
		if (!isBlank(dst_port_s))
		{
 			if (isNValidPort(dst_port_s)){ alert(sm); return false; }
 			if ((dst_port_s > 65535)) { alert(pm); return false; }
		}
		if (!isBlank(dst_port_e))
		{
 			if (isNValidPort(dst_port_e)){ alert(sm); return false; }
 			if ((dst_port_e > 65535)) { alert(pm); return false; }
		}
	}
	if (isBlank(diffserv) || isNaN(diffserv)) { alert(ds); return false; }
	if ((diffserv > 255)) { alert(ds); return false; }
	if (isBlank(op_if) && isBlank(gw_ip)) { alert(of); return false; }
	if (!isBlank(gw_ip))
	{
		if (!isNValidIPs(gw_ip,1) || !validateIP(gw_ip,1,0)) { alert("Invalid Gateway Ip Address"); return false; }
	}

  	return true;
}

function ChangeEvent()
{
//	alert("in changeEvent");
	if (document.getElementById) {
	}else
	{
		alert("not support document.getElementById");
		return false;
	}
	if ( document.tR0.PR_PROTOCOL.value==6 || document.tR0.PR_PROTOCOL.value==17)
	{
		document.tR0.PR_SRC_PORT.disabled=false;
		document.tR0.PR_DST_PORT.disabled=false;
	}else
	{
		document.tR0.PR_SRC_PORT.disabled=true;
		document.tR0.PR_DST_PORT.disabled=true;
		document.tR0.PR_SRC_PORT.value="";
		document.tR0.PR_DST_PORT.value="";
	}
	if (document.tR0.PR_IP_SRC_TYPE_ADD.value=="*")
	{
		document.tR0.PR_SRC_IP.disabled=true;
		document.tR0.PR_IP_SRC_MASK_ADD.disabled=true;
	}
	else if (document.tR0.PR_IP_SRC_TYPE_ADD.value=="1")
	{
		document.tR0.PR_SRC_IP.disabled=false;
		document.tR0.PR_IP_SRC_MASK_ADD.disabled=true;
	}
	else if (document.tR0.PR_IP_SRC_TYPE_ADD.value=="2")
	{
		document.tR0.PR_SRC_IP.disabled=false;
		document.tR0.PR_IP_SRC_MASK_ADD.disabled=false;
	}
	if (document.tR0.PR_IP_DST_TYPE_ADD.value=="*")
	{
		document.tR0.PR_DST_IP.disabled=true;
		document.tR0.PR_IP_DST_MASK_ADD.disabled=true;
	}
	else if (document.tR0.PR_IP_DST_TYPE_ADD.value=="1")
	{
		document.tR0.PR_DST_IP.disabled=false;
		document.tR0.PR_IP_DST_MASK_ADD.disabled=true;
	}
	else if (document.tR0.PR_IP_DST_TYPE_ADD.value=="2")
	{
		document.tR0.PR_DST_IP.disabled=false;
		document.tR0.PR_IP_DST_MASK_ADD.disabled=false;
	}
}

function evaltF()
{
//	alert("in evaltF()");
	return checkValid(document.tR0.PR_PROTOCOL,document.tR0.PR_SRC_IP.value,document.tR0.PR_IP_SRC_MASK_ADD.value,document.tR0.PR_IP_SRC_TYPE_ADD.value, document.tR0.PR_SRC_PORT.value, document.tR0.PR_DST_IP.value,document.tR0.PR_IP_DST_MASK_ADD.value,document.tR0.PR_IP_DST_TYPE_ADD.value, document.tR0.PR_DST_PORT.value, document.tR0.PR_DIFFSERV.value, document.tR0.PR_GW_IP.value, document.tR0.PR_OP_IF.value);
	
}

</script>
</head>
<body bgColor="#e4e9f1">
<form name="tR0" action="/goform/ifx_set_policy_routing_add" method="post">
<input type="hidden" name="page" value="policy_routing.asp">
<input type="hidden" name="delflag" value="0">
<input type="hidden" name="delindex">
<table border="0" cellspacing="0" cellpadding="10" height="95%"  width="100%">
  <tr> 
	<td valign="top"><font class="title"><b>Add a Policy</b> </font><br>
	  <table border=0 cellspacing=1 cellpadding=5>
		<tr>
		  <th nowrap class="celltitle" >Protocol</th>
		  <td nowrap align=center bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="PR_PROTOCOL" onChange="ChangeEvent()">
				<option value="6" selected>TCP</option>
				<option value="17" selected>UDP</option>
				<option value="1" selected>ICMP</option>
				<option value="51" selected>AH</option>
				<option value="50" selected>ESP</option>
				<option value="0" selected>ALL</option>
				</select>
		  </td>
		</tr>
		<tr>
		  <th nowrap class="celltitle">Source IP</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="PR_IP_SRC_TYPE_ADD" onChange="ChangeEvent()">
				<option value="*" selected>ALL</option>
				<option value="1" selected>SINGLE</option>
				<option value="2" selected>SUBNET</option>
				</select>
		   </td>
		</tr>
		<div id="Hidden_Src_IP">
		<tr>
		  <th nowrap class="celltitle">Source IP Address</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="15" name="PR_SRC_IP" size="16" value="">
		   </td>
		</tr>
		</div>
		<div id="Hidden_Src_Mask">
		<tr>
		  <th nowrap class="celltitle">Netmask</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="15" name="PR_IP_SRC_MASK_ADD" size="16" value="">
		   </td>
		</tr>
		</div>
		<div id="Hidden_Src_Port">
		<tr>
		  <th nowrap class="celltitle">Source Port</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="5" name="PR_SRC_PORT" size="6" value="">
		  </td>
		</tr>
		</div>
		<tr>
		  <th nowrap class="celltitle">Destination IP</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="PR_IP_DST_TYPE_ADD" onChange="ChangeEvent()">
				<option value="*" selected>ALL</option>
				<option value="1" selected>SINGLE</option>
				<option value="2" selected>SUBNET</option>
				</select>
		   </td>
		</tr>

		<div id="Hidden_Dst_IP">
		<tr>
		  <th nowrap class="celltitle">Destination IP Address</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="15" name="PR_DST_IP" size="16" value="">
		   </td>
		</tr>
		</div>
		<div id="Hidden_Dst_Mask">
		<tr>
		  <th nowrap class="celltitle">Netmask</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="15" name="PR_IP_DST_MASK_ADD" size="16" value="">
		   </td>
		</tr>
		</div>

		<div id="Hidden_Dst_Port">
		<tr>
		  <th nowrap class="celltitle">Destination Port</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="5" name="PR_DST_PORT" size="6" value="">
		  </td>
		</tr>
		</div>
		<div id="Hidden_Diffserv_mark">
		<tr>
		  <th nowrap class="celltitle">DiffServ Mark</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="5" name="PR_DIFFSERV" size="6" value="">
		  </td>
		</tr>
		</div>
		<div id="Hidden_GW">
		<tr>
		  <th nowrap class="celltitle">Gateway</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="15" name="PR_GW_IP" size="16" value="">
		  </td>
		</tr>
		</div>
		<div id="Hidden_OP_IF">
		<tr>
		  <th nowrap class="celltitle">Output Interface </th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input maxLength="5" name="PR_OP_IF" size="6" value="">
		  </td>
		</tr>
		</div>
		<tr>
		  <th nowrap class="celltitle">Enable</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
            <input type="checkbox" name="PR_ADD" value="1">
		   </td>
		</tr>
	  </table>
	</td>
  </tr>
  <tr>
	<td valign="top" height="2">
	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td>
			<div align="right">
			<a href="javascript:void(0);" onClick="window.open('help.htm#','help','toolbar=0,status=0,menubar=0,scrollbars=1,resizable=1,width=530,height=400,left=150,top=150');"><img src="images/help.gif" width="57" height="57" border="0"></a>
			<a href="javascript:document.forms[0].submit()" onClick="return evaltF();"><img src="images/apply1.gif" width="56" height="57" border="0"></a>
			<a href="javascript:document.tR0.reset()"><img src="images/cancel.gif" alt="" border="0" width="56" height="57" ></a>
			</div>
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
</table>
</form>
</body>
<SCRIPT language=JavaScript>
	ChangeEvent();
</SCRIPT>
</html>
