#!/bin/sh
APPS_NAME="nfappcfg"
if [ -e sysconfig.sh ]; then
	. sysconfig.sh
	. config.sh
	. model_config.sh
else
        echo "Application "$APPS_NAME" not configured"
        exit 0
fi                                                                                                                                       

display_info "----------------------------------------------------------------------"
display_info "-----------------------      build nfappcfg  ------------------------"
display_info "----------------------------------------------------------------------"

#CONFIG_FULL_PACKAGE=y
if [ "$CONFIG_FULL_PACKAGE" == "y" ]; then

parse_args $@

if [ "$1" = "config_only" ] ;then
	exit 0
fi

if [ $BUILD_CLEAN -eq 1 ]; then
	make clean
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

make AR=${IFX_AR} AS=${IFX_AS} LD=${IFX_LD} NM=${IFX_NM} CC=${IFX_CC} BUILDCC=${IFX_HOSTCC} GCC=${IFX_CC} CXX=${IFX_CXX} CPP=${IFX_CPP} RANLIB=${IFX_RANLIB} IFX_CFLAGS="${IFX_CFLAGS}" IFX_LDFLAGS="${IFX_LDFLAGS}" all
ifx_error_check $? 
${IFX_STRIP} nfappcfg

install -d ${BUILD_ROOTFS_DIR}usr/sbin/
cp -f nfappcfg ${BUILD_ROOTFS_DIR}usr/sbin/
cp -f sipALGd ${BUILD_ROOTFS_DIR}usr/sbin/
ifx_error_check $? 
if [ "$IFX_CONFIG_VOIP" != "1" ]; then
	cp -f sipALGd ${BUILD_ROOTFS_DIR}usr/sbin/
	ifx_error_check $? 
fi

else
  install -d ${BUILD_ROOTFS_DIR}usr/sbin/
  cp -f nfappcfg ${BUILD_ROOTFS_DIR}usr/sbin/
# 80331:fchang.removed  if [ $IFX_CONFIG_VOIP -eq 1 ]; then
# 803311:fchang.added
if [ "$IFX_CONFIG_VOIP" == "1" ]; then
 	cp -f sipALGd ${BUILD_ROOTFS_DIR}usr/sbin/
  fi
fi
