#include <stdio.h>
#include "httpdigcalc.h"
#include "httpparser.h"

void http_digest(http_auth_header_t *auth_request , char * pszMethod)
{
		//strcpy(auth_request->options[HTTP_AUTH_REQ_USRNAME_POS].val ,pszUser );
		//strcpy(auth_request->options[HTTP_AUTH_REQ_CNONCE_POS].val , pszCnonce);
		//strcpy(auth_request->options[HTTP_AUTH_REQ_NC_POS].val ,pszNc);
		//strcpy(auth_request->options[HTTP_AUTH_REQ_URI_POS].val ,pszUri);
		
	printf("***** Calculating the HTTP digest %s %s %s %s %s %s *****\n",auth_request->options[HTTP_AUTH_REQ_ALGO_POS].val,auth_request->options[HTTP_AUTH_REQ_USRNAME_POS].val,auth_request->options[HTTP_AUTH_REQ_REALM_POS].val,auth_request->passwd,auth_request->options[HTTP_AUTH_REQ_NONCE_POS].val,auth_request->options[HTTP_AUTH_REQ_CNONCE_POS].val);
		HASHHEX HA1;
		HASHHEX HA2 = "";
		HASHHEX Response;
	
		DigestCalcHA1(auth_request->options[HTTP_AUTH_REQ_ALGO_POS].val, 
		auth_request->options[HTTP_AUTH_REQ_USRNAME_POS].val,
		auth_request->options[HTTP_AUTH_REQ_REALM_POS].val,
		auth_request->passwd,
		auth_request->options[HTTP_AUTH_REQ_NONCE_POS].val,
		auth_request->options[HTTP_AUTH_REQ_CNONCE_POS].val,
		HA1);

		DigestCalcResponse(HA1,
		auth_request->options[HTTP_AUTH_REQ_NONCE_POS].val, 
		auth_request->options[HTTP_AUTH_REQ_NC_POS].val,
		auth_request->options[HTTP_AUTH_REQ_CNONCE_POS].val,
		auth_request->options[HTTP_AUTH_REQ_QOP_POS].val, pszMethod,
		auth_request->options[HTTP_AUTH_REQ_URI_POS].val,
		HA2, Response);

		strcpy(auth_request->options[HTTP_AUTH_REQ_RESPONSE_POS].val, Response);
};
