#!/bin/sh


if [ ! "$CONFIGLOADED" ]; then
	if [ -r /etc/rc.d/config.sh ]; then
		. /etc/rc.d/config.sh
		CONFIGLOADED="1"
	fi
fi

if [ "$5" = "reboot" ]; then
	/etc/rc.d/free_memory.sh
	killall br2684ctld
	killall syslogd
	killall httpd
	killall devm
fi

mkdir -p /tmp/newroot/bin
mkdir -p /tmp/newroot/lib
mkdir -p /tmp/newroot/dev
mv $1 /tmp/newroot/image


cp /usr/sbin/upgrade /tmp/newroot/bin
cp -a /dev/mtd /tmp/newroot/dev/
shift
chroot /tmp/newroot upgrade /image $@ &

