<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>LAN | LAN Settings</title>
<script language="JavaScript">
ipm='Either you have not entered all of the numbers \n or some of the numbers you entered are invalid. \n The number in each entry box should be between 0 - 255.';
sm='Subnet mask numbers you entered are invalid.';
netm='The ip pool must be the same subnet as the gateway ip ';
endm='The End IP must be larger than the Start IP.';
poolm='The LAN IP address can\'t be in the IP address pool.';

function GURL(x){location=x}
function makesure(p,l){if (confirm(p)) GURL(l);}
function display_dhcp_options() {
	var div_dhcp_server = getObject("div_dhcp_server");
	var div_dhcp_relay = getObject("div_dhcp_relay");
	if (div_dhcp_server.style)	
	{
		div_dhcp_server=div_dhcp_server.style;
		div_dhcp_relay=div_dhcp_relay.style;
	}
	if (document.tF0.lan_dhcp_mode[1].selected)
	{
		div_dhcp_server.display=""
		div_dhcp_relay.display="none"
	}else if (document.tF0.lan_dhcp_mode[2].selected)
	{
		div_dhcp_server.display="none"
		div_dhcp_relay.display=""
	}else
	{
		div_dhcp_server.display="none"
		div_dhcp_relay.display="none"
	}
}
function evaltF() 
{
	if ((isBlank(document.tF0.sysip1.value))||(isNaN(document.tF0.sysip1.value))||(document.tF0.sysip1.value<0||document.tF0.sysip1.value>254))
		{alert(ipm); return false;}
	if ((isBlank(document.tF0.sysip2.value))||(isNaN(document.tF0.sysip2.value))||(document.tF0.sysip2.value<0||document.tF0.sysip2.value>254))
		{alert(ipm); return false;}
	if ((isBlank(document.tF0.sysip3.value))||(isNaN(document.tF0.sysip3.value))||(document.tF0.sysip3.value<0||document.tF0.sysip3.value>254))
		{alert(ipm); return false;}
	if ((isBlank(document.tF0.sysip4.value))||(isNaN(document.tF0.sysip4.value))||(document.tF0.sysip4.value<0||document.tF0.sysip4.value>254))
		{alert(ipm); return false;}

	if ((isBlank(document.tF0.sysmask1.value))||(isNaN(document.tF0.sysmask1.value))||(document.tF0.sysmask1.value<0||document.tF0.sysmask1.value>255))
		{alert(ipm); return false;}
	if ((isBlank(document.tF0.sysmask2.value))||(isNaN(document.tF0.sysmask2.value))||(document.tF0.sysmask2.value<0||document.tF0.sysmask2.value>255))
		{alert(ipm); return false;}
	if ((isBlank(document.tF0.sysmask3.value))||(isNaN(document.tF0.sysmask3.value))||(document.tF0.sysmask3.value<0||document.tF0.sysmask3.value>255))
		{alert(ipm); return false;}
	if ((isBlank(document.tF0.sysmask4.value))||(isNaN(document.tF0.sysmask4.value))||(document.tF0.sysmask4.value<0||document.tF0.sysmask4.value>255))
		{alert(ipm); return false;}

	if (document.tF0.lan_dhcp_mode[1].selected)
	{
		if((isBlank(document.tF0.DhcpsStartIP4.value))||(isNaN(document.tF0.DhcpsStartIP4.value))||
			(document.tF0.DhcpsStartIP4.value<1||document.tF0.DhcpsStartIP4.value>254))
		{
			alert(ipm);
			return false;
		}
			
		if((isBlank(document.tF0.DhcpsEndIP4.value))||(isNaN(document.tF0.DhcpsEndIP4.value))||
			(document.tF0.DhcpsEndIP4.value<1||document.tF0.DhcpsEndIP4.value>254))
		{
			alert(ipm);
			return false;
		}
		
		if((document.tF0.DhcpsEndIP4.value - document.tF0.DhcpsStartIP4.value) < 0)
		{
			alert(endm);
			return false;
		}
		
		if((document.tF0.sysip4.value >= (document.tF0.DhcpsStartIP4.value)) &&
		 	(document.tF0.sysip4.value <= (document.tF0.DhcpsEndIP4.value)))
		{
			alert(poolm);
			return false;
		}

		if(!isValidName(document.tF0.DN.value))
		{
		        alert("Domain Name cannot have characters from the set    \"<>%\^[]`+$,='#&@.: \t.");
		        return false;
		}
	 }else if (document.tF0.lan_dhcp_mode[2].selected)
	{
		if (isBlank(document.tF0.dhcp_relay_server.value) || !isNValidIPs(document.tF0.dhcp_relay_server.value,1)) { alert("Invalid DHCP Server IP"); return false;}
	}

	 if((document.tF0.sysip1.value != "<% ifx_get_lan_IP_MASK("SysIP1"); %>") || (document.tF0.sysip2.value != "<% ifx_get_lan_IP_MASK("SysIP2"); %>") ||
	 	(document.tF0.sysip3.value != "<% ifx_get_lan_IP_MASK("SysIP3"); %>") || (document.tF0.sysip4.value != "<% ifx_get_lan_IP_MASK("SysIP4"); %>"))
	 {
    	if (!confirm("Do you really wish to change the lan ip address?"))
		{
			return false; 
		}
		alert("Please change the Address entry box in the status bar of your browser manually to the new lan address.");
	}	 

	alert("The ADSL RT/GW may reboot for configurations to take effect! Please wait, and log back after a while");
	return true;
}
function block1(e)
{
	if (document.tF0.IsDHCP.checked == true)
    	return true;
	return false;
}

</script>
</head>
<body bgColor="#e4e9f1">
<form name="tF0" method="post" action="/goform/ifx_set_lan_dhcps">
<input type="hidden" name="page" value="lan.asp">
<input type="hidden" name="lan_cpeId" value=<% ifx_get_lan_IP_MASK("cpeId") %>>
<input type="hidden" name="lan_pcpeId" value=<% ifx_get_lan_IP_MASK("pcpeId") %>>

<table width="100%" border="0" cellspacing="0" cellpadding="10" height="90%">
  <tr> 
	<td valign="top"> 
	  <p><font class="title"><b>LAN Settings</b></font></p>
	  <p><font class="subtitle">
	  You can configure LAN settings of ADSLRT such as LAN IP Address, DHCP configuration and
	  MAC Address override.
	  </font></p>
	  <table border=0 cellspacing=1 cellpadding=5 width="80%">
		<tr align=left> 
		  <td width="27%"><font class="subtitle1">IP Address</font></td>
		  <td width="43%"><font class="subtitle1">  
			<input maxLength="3" name="sysip1" size="3" value=<% ifx_get_lan_IP_MASK("SysIP1"); %>>.
			<input maxLength="3" name="sysip2" size="3" value=<% ifx_get_lan_IP_MASK("SysIP2"); %>>.
			<input maxLength="3" name="sysip3" size="3" value=<% ifx_get_lan_IP_MASK("SysIP3"); %>>.
			<input maxLength="3" name="sysip4" size="3" value=<% ifx_get_lan_IP_MASK("SysIP4"); %>>
			</font>
		  </td>
		</tr>
		<tr align=left> 
		  <td width="27%"><font class="subtitle1">Subnet Mask</font></td>
		  <td width="43%"><font class="subtitle1">
			<input maxLength="3" name="sysmask1" size="3" value=<% ifx_get_lan_IP_MASK("SysMASK1"); %>>.
			<input maxLength="3" name="sysmask2" size="3" value=<% ifx_get_lan_IP_MASK("SysMASK2"); %>>.
			<input maxLength="3" name="sysmask3" size="3" value=<% ifx_get_lan_IP_MASK("SysMASK3"); %>>.
			<input maxLength="3" name="sysmask4" size="3" value=<% ifx_get_lan_IP_MASK("SysMASK4"); %>>
			</font>
		  </td>
		</tr>

		<tr align=left> 
		  <td width="27%"><font class="subtitle1">MAC Address</font></td>
		  <td width="43%"><font class="subtitle1">
			<input maxLength="3" name="mac1" size="2" value=<% ifx_get_lan_mac("SysMAC1"); %> disabled>:
			<input maxLength="3" name="mac2" size="2" value=<% ifx_get_lan_mac("SysMAC2"); %> disabled>:
			<input maxLength="3" name="mac3" size="2" value=<% ifx_get_lan_mac("SysMAC3"); %> disabled>:
			<input maxLength="3" name="mac4" size="2" value=<% ifx_get_lan_mac("SysMAC4"); %> disabled>:
			<input maxLength="3" name="mac5" size="2" value=<% ifx_get_lan_mac("SysMAC5"); %> disabled>:
			<input maxLength="3" name="mac6" size="2" value=<% ifx_get_lan_mac("SysMAC6"); %> disabled>
			</font>
		  </td>
		</tr>

		<tr align=left> 
		  <td width="27%"><font class="subtitle1">DHCP Mode</font></td>
		  <td width="43%"><font class="subtitle1">
			<select name="lan_dhcp_mode" onChange="display_dhcp_options()"><% ifx_get_lan_dhcps("lan_dhcp_mode") %>
			</select></font>
		  </td>
		</tr>
		<tr align=left> <td colspan="2">
		<div id="div_dhcp_server">
	  		<table border=0 cellspacing=1 cellpadding=5 >
				<tr align=left> 
				  <td width="27%"><font class="subtitle1">DHCP Server </font></td>
				</tr>
				<tr align=left> 
				  <td width="27%"><font class="subtitle1">IP Pool Starting Address</font></td>
				  <td width="43%"><font class="subtitle1">  
					<% ifx_get_lan_IP_MASK("SysIP0"); %> 
					<input TYPE="text" NAME="DhcpsStartIP4" MAXLENGTH="3" SIZE="3" value=<% ifx_get_lan_dhcps("DhcpsStartIP4"); %>>
					</font>
				  </td>
				</tr>
				<tr align=left> 
				  <td width="27%"><font class="subtitle1">IP Pool Ending Address</font></td>
				  <td width="43%"><font class="subtitle1">
					<% ifx_get_lan_IP_MASK("SysIP0"); %> 
					<input TYPE="text" NAME="DhcpsEndIP4" MAXLENGTH="3" SIZE="3" value=<% ifx_get_lan_dhcps("DhcpsEndIP4"); %>>
					</font>
				  </td>
				</tr>
				<tr align=left> 
				  <td width="27%"><font class="subtitle1">Lease Time</font></td>
				  <td width="43%">
					<select NAME="LeaseTime" SIZE="1">
					<% ifx_get_lan_dhcps_LeaseTime("LeaseTime"); %>
					</select>
				  </td>
				</tr>
				<tr align=left> 
				  <td width="27%"><font class="subtitle1">Local Domain Name</font></td>
				  <td width="43%"><font class="subtitle1"> 
					<input TYPE="text" NAME="DN" MAXLENGTH="60" SIZE="21" value=<% ifx_get_lan_dhcps("DN"); %>>
					(optional)</font> </td>
				</tr>
		  	</table>  
		</div></td>
		</tr>
		<tr align=left> <td colspan="2">
		<div id="div_dhcp_relay">
		  	<table border=0 cellspacing=1 cellpadding=5 >
				<tr align=left> 
				  <td ><font class="subtitle">DHCP Relay </font></td>
				</tr>
				<tr align=left> 
				  <td width="27%"><font class="subtitle1"><select name="dhcp_relay_if"><% ifx_get_lan_dhcpr("dhcp_relay_if"); %></select></font></td>
				  <td width="43%"><font class="subtitle1">  
					DHCP Server IP
					<input TYPE="text" NAME="dhcp_relay_server" MAXLENGTH="15" SIZE="16" value="<% ifx_get_lan_dhcpr("dhcp_relay_server") %>">
				  </td>
				</tr>
		  	</table>  
		</div></td>
		</tr>
	  </table>  
 
	</td>
  </tr>
  <tr>
	<td valign="top" height="2"> 
	  
	  <table width="80%" border="0" cellspacing="0" cellpadding="0">
		<tr> 
		  <td> 
			<div align="right">
			<a href="javascript:void(0);" onClick="window.open('help.htm#lan','help', 'toolbar=0,status=0,menubar=0,scrollbars=1,resizable=1,width=530,height=400,left=150,top=150');"><img src="images/help.gif" width="57" height="57" border="0"></a>
			<a href="javascript:document.forms[0].submit()" onClick="return evaltF();"><img src="images/apply1.gif" width="56" height="57" border="0"></a>
			<a href="javascript:document.tF0.reset()"><img src="images/cancel.gif" alt="" border="0" width="56" height="57" ></a>
			</div>
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
</table>
</form>
</body>
<script language="javascript">
	display_dhcp_options();
	parent.parent.topFrame.OpenItemID="LAN";
	parent.leftFrame.location.reload();
</script>
</html>
