<html>
<head>

<title>Routing</title>
<script language="JavaScript" type="text/javascript">
    var tabNo=4;
</script>
<%ifx_get_Sysinclude("header_adv.asp")%>

<style type="text/css">
tr.row
{
	height:18px;
}

td.hdafont 
{	
	font-weight:bold;
	text-align:center;
}

.tblclass
{
	border:1px solid #D8D8D8;
	width:100%;
	margin-top:10px;
	margin-bottom:10px;
}

.smsTable
{
    background            : #FFF url(/images/bg/table_bar.png) repeat;
    color                 : #FFF;
    padding               : 5px 5px;
    border-left           : 1px solid #CCC;
}

</style>
<script language="JavaScript">

var vFS = "|";
var vRS = ",";

var ifnList = new Array("LAN", "INTERNET");
				
var strRouting = "", strWanIp = "";
var gValidate;

function initValue()
{
	strRouting = "<%AZ_listRoutingTable();%>";
}


function getInterface(strIfe)
{
	if(strIfe.toLowerCase().substring(0, 2) == "br")
	{
		return "LAN";
	}

	if(strIfe.toLowerCase().substring(0, 3) == "eth" || 
		strIfe.toLowerCase().substring(0, 3) == "nas" || 
		strIfe.toLowerCase().substring(0, 3) == "ppp" || 
		strIfe.toLowerCase().substring(0, 3) == "usb")
	{
		return "INTERNET";
	}

	if(strIfe == "LAN")
	{
		return "br0";
	}

	if(strIfe == "INTERNET")
	{
		return "nas0";
	}


	return "LAN";
	
}

function initRouting()
{
	var rlen, flen;
	
	var routeArray = strRouting.split(vRS);
	
	rlen = routeArray.length;
	
	for(var index=0; index < rlen; index++)
	{
		if(routeArray[index] == "")
			break;
			
		var colArray = routeArray[index].split(vFS);
		
		flen = colArray.length;
			
		if(flen != 7)
		{
			continue;
		}


		var lastRow = $("routertbl").rows.length-1;
		var row = $("routertbl").insertRow(lastRow);
		row.id = "oldRow";
		
		var cell = row.insertCell(0);
		cell.style.padding = "0 0 0 5px";
		cell.innerHTML = '<input type="text" '
			+ ' maxlength=16 style="width:90%;border:0px solid black;"'
			+ ' READONLY value="' + trim(colArray[0]) + '">';
			
		cell = row.insertCell(1);
		cell.innerHTML = '<input type="text" '
			+ ' maxlength=16 style="width:90%;border:0px solid black;"'
			+ ' READONLY value="' + trim(colArray[1]) + '">';
		
		cell = row.insertCell(2);
		cell.innerHTML = '<input type="text" '
			+ ' maxlength=16 style="width:90%;border:0px solid black;"'
			+ ' READONLY value="' + trim(colArray[2]) + '">';
		
		cell = row.insertCell(3);
		var obj = document.createElement("select");
		obj.style.width = "85px";
		obj.disabled = "disabled";
	
		for (var i=0; i < ifnList.length;++i){
			addOption(obj, ifnList[i], ifnList[i]);
		}
		
		setSelectedIndex(obj, trim(getInterface(colArray[3])));
		cell.appendChild(obj);
	
		cell = row.insertCell(4);
		cell.align = "center";
		cell.innerHTML = '<input type="text" '
			+ ' style="width:60%;border:0px solid black;"'
			+ ' READONLY value="' + colArray[4] + '">';

		
		var fEnable = parseInt(colArray[6]);
		var vCheck = "false";
		var vRead = "";
		if(fEnable == 0)
		{
			vCheck = "false";
			vRead = "";
		}
		else if (fEnable == 1)
		{
			vCheck = "true";
			vRead = "checked";
		}
		else if (fEnable == 2)
		{
			vCheck = "checked";
			vRead = "DISABLED";
		}
		
		cell = row.insertCell(5);
		cell.innerHTML = '<input type="checkbox" '
			+ ' style="border:0px solid black;"'
			+ ' ' + vRead + ' '
			+ ' ' + vCheck + '>';
			
		cell.style.textAlign="center";
		
		cell = row.insertCell(6);
		cell.align = "center";
		
		var obj = document.createElement("img");
		obj.src = "images/delete.png";
		obj.title = "delete this row";
		obj.onclick = function()
		{
			var idx = this.parentNode.parentNode.rowIndex;
			var strIp = $("routertbl").rows[idx].cells[0].children[0].value;
			var strMask = $("routertbl").rows[idx].cells[1].children[0].value;
			var strGW = $("routertbl").rows[idx].cells[2].children[0].value;
			var cpeid = $("routertbl").rows[idx].cells[7].children[0].value;
			routeDelete(cpeid, strIp, strMask, strGW);	
		}
		cell.appendChild(obj);

		cell = row.insertCell(7);
		cell.innerHTML = '<input type="hidden" '
			+ ' value="' + colArray[5] + '">';
	}
}

function routeDelete(cpeid, ipAddr, dstMsk, strGw)
{

	if ( verifyIP(ipAddr) == false ) {
		msg = 'Destination "' + ipAddr + '" has invalid IP address.';
		showAlert(msg);
		return;
	}
	if ( verifyIP(dstMsk) == false ) {
		msg = 'Subnet mask "' + dstMsk + '" has invalid IP address.';
		showAlert(msg);
		return;
	}
	if ( verifyIP(strGw) == false ) {
		msg = 'Gateway "' + dstMsk + '" has invalid IP address.';
		showAlert(msg);
		return;
	}
	
	$("frmDelete").delcpeID.value = cpeid;
	$("frmDelete").deldst.value = ipAddr;
	$("frmDelete").delnetmask.value = dstMsk;
	$("frmDelete").delgw.value = strGw;
	
	Tiny.showWithLink('loading.html');
	$("frmDelete").submit();
}


function showAlert(value)
{
	Modalbox.showWithTimeout('<center><h1>' + value + '.</h1></center>',
	{
		title: 'Routing',
		height: 90
	});
}


function setSelectedIndex(obj, strGateway)
{
	for(var index=0; index < obj.options.length; index++)
	{
		if(obj.options[index].value == strGateway)
		{
			obj.selectedIndex = index;
			return;
		}
	}
}

function trim(str)
{
	return str.replace(/^\s*|\s*$/g,"");
}

function verifyInteger(intValue)
{
	var intPattern = /^(\d{1,})$/;
	var intArray = intValue.match(intPattern);
	
	if (intArray == null)
		return false;
		
	return true;
}

function verifyIP (IPvalue)
{
	var ipPattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
	var ipArray = IPvalue.match(ipPattern);

	if (ipArray == null)
	{
		return false;
	}
	else
	{
		for (i = 0; i < 4; i++)
		{
			thisSegment = ipArray[i];
			if (thisSegment > 255)
			{
				return false;
			}
		}
	}	
	
	return true;
}

function addOption(selectbox,text,value )
{
	var optn = document.createElement("OPTION");
	optn.text = text;
	optn.value = value;
	
	try
	{
		selectbox.options.add(optn, null); // standards compliant
	}
	catch(ex)
	{
		selectbox.options.add(optn); // IE only
	}
}


function btnRouteAdd()
{
	var lastRow = $("routertbl").rows.length-1;
	var row = $("routertbl").insertRow(lastRow);
	row.id = "newRow";
	
	var cell = row.insertCell(0);
	cell.style.padding = "0 0 0 5px";
	cell.innerHTML = '<input type="text" '
		+ ' maxlength=16 style="width:90%;border:0px solid black;"'
		+ ' value="">';
		
	cell = row.insertCell(1);
	cell.innerHTML = '<input type="text" '
		+ ' maxlength=16 style="width:90%;border:0px solid black;"'
		+ ' value="">';
	
	cell = row.insertCell(2);
	cell.innerHTML = '<input type="text" '
		+ ' maxlength=16 style="width:90%;border:0px solid black;"'
		+ ' value="">';
	
	cell = row.insertCell(3);
	var obj = document.createElement("select");
	obj.style.width = "85px";
	for (var i=0; i < ifnList.length;++i){
		addOption(obj, ifnList[i], ifnList[i]);
	}
	
	cell.appendChild(obj);

	cell = row.insertCell(4);
	cell.align = "center";
	cell.innerHTML = '<input type="text" '
		+ ' style="width:60%;border:0px solid black;"'
		+ ' value="0">';
		
	cell = row.insertCell(5);
	cell.innerHTML = '<input type="checkbox" '
		+ ' style="border:0px solid black;"'
		+ ' >';
	cell.style.textAlign="center";

	
	cell = row.insertCell(6);
	cell.align = "center";
	var obj = document.createElement("img");
	obj.src = "images/delete.png";
	obj.title = "delete this row";

	obj.onclick = function () {
		var idx = this.parentNode.parentNode.rowIndex;
		
		$("routertbl").deleteRow(idx);
	}
	cell.appendChild(obj);

	cell = row.insertCell(7);
	cell.innerHTML = '<input type="hidden" '
					+ ' value="">';

}

function verifyObject(obj, strvalue, type)
{
	var isValid;
	var value = trim(strvalue);
	
	if(type == "INTEGER")
		isValid = verifyInteger(value);
	else
		isValid = verifyIP(value);
	
	if(isValid == false)
	{
		obj.style.backgroundColor = "yellow";
		gValidate = true;
	}
	else
	{
		obj.style.backgroundColor = "";
	}
}

function btnRouteApply()
{
	var lastRow = $("routertbl").rows.length-2;
	gValidate = false;
	var strAdd = "";
	
	for(var index=1; index <=lastRow; index++)
	{
		var cell;
		
		var row = $("routertbl").rows[index];

		var obj = row.cells[5].children[0];

		if(obj.disabled == false)
		{
			cell = row.cells[0];
			verifyObject(cell.children[0], cell.children[0].value);
			strAdd += trim(cell.children[0].value) + "|";
			
			cell = row.cells[1];
			verifyObject(cell.children[0], cell.children[0].value);
			strAdd += trim(cell.children[0].value) + "|";
			
			cell = row.cells[2];
			verifyObject(cell.children[0], cell.children[0].value);
			strAdd += trim(cell.children[0].value) + "|";

			cell = row.cells[3];
			strAdd += getInterface(cell.children[0].value) + "|";
			
			cell = row.cells[4];
			verifyObject(cell.children[0], cell.children[0].value, "INTEGER");
			strAdd += trim(cell.children[0].value) + "|";

			cell = row.cells[5];

			var fEnable = 0;
			
			obj = cell.children[0];
			if(obj.checked == true)
			{
				fEnable = 1;
			}
			strAdd += fEnable + "|";

			var cpeid = row.cells[7].children[0].value;
			strAdd += cpeid + ",";
			
		}
	}
		
	if(gValidate == true)
	{
		showAlert("Please validate the data!");
		gValidate = false;
		return;
	}
	else
	{
		if(strAdd == "")
		{
			showAlert("Nothing changed!");
			return;
		}

		$("frmAdd").AddLst.value = strAdd;
		Tiny.showWithLink('loading.html');
		$("frmAdd").submit();
	}
}

  
window.onload = function()
{
	initValue();
	initRouting();
}
</script>

</head>
<body>
<div id="content">
<%ifx_get_Sysinclude("top_adv.asp")%>
<script language="JavaScript" type="text/javascript">
// $('netImg').src="/images/network.png";
</script>
<table class="contenttable"><tr><td>

<table class="standardBox" width="100%" cellspacing="0" >
    <!-- header row -->
    <tr>
        <td  colspan="3" class="firstRow">
            <table class="overlayTOP" cellpadding="0" cellspacing="0" >
                <tr>
                    <td  class="overlayTL"><img src="images/spacer.gif" width="5" height="5" border="0" alt="..." /></td>
                    <td class="headerContent">Network->Routing
                    <a href="#" title="Network Routing Help" onclick="Modalbox.show(networkRoutingHelp[1], {title: networkRoutingHelp[0], height: 90 }); return false;">[Help]</a>
                    </td>
                    <td class="overlayTR"><img src="images/spacer.gif" width="5" height="5" border="0" alt="..." /></td>
                </tr>
            </table>
        </td>
    </tr>
	<tr><td>
	<table class="standardBox" width="100%" cellspacing="0">
	<tr>
	<td class="tblContent_border"></td>
	<td class="tblContent" align="center">

			<table width="100%" class="formtable tblclass" id="routertbl">
				<tr class="row smsTable">
					  <td class='hdafont' width="20%">Destination IP</td>
					  <td class='hdafont' width="20%">Network Mask</td>
					  <td class='hdafont' width="20%">Gateway</td>
					  <td class='hdafont' width="10%">Interface</td>
					  <td class='hdafont' width="15%">Metric</td>
					  <td class='hdafont' width="8%">Enable</td>
					  <td class='hdafont' width="7%">Delete</td>
					  <td class='hdafont' width="0%" style="display:none"></td>
				</tr>
				<tr class="row">
	                <td colspan="8" align="center">
					<table>
						<tr>
						<td><a class="button" href="javascript:btnRouteAdd();" onclick="this.blur();"><span id="btnAdd">Add</span></a></td>
						<td><a class="button" href="javascript:btnRouteApply();" onclick="this.blur();"><span id="btnApply">Apply</span></a></td>
						<td><a class="button" href="/netLan.asp" onclick="this.blur();"><span id="btnFinish">Cancel</span></a></td>
						</tr>
					</table>
	                </td>
	            </tr>
			</table>
	 </td>
	<td class="tblContent_border"></td>
	 </tr>
    <!-- bottom row -->
    <tr>
        <td colspan="3" class="lastRow">
            <table class="overlayBOTTOM" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="overlayBL"><img src="images/spacer.gif" width="5" height="5" border="0" alt="..." /></td>
                    <td class="overlayBM" width="1014"></td>
                    <td class="overlayBR" ><img src="images/spacer.gif" width="5" height="5" border="0" alt="..." /></td>
                </tr>
            </table>
        </td>
    </tr>
	</table>

	<img class="clear" height="16px" src="/images/spacer.gif">

</td></tr></table>
   
</td></tr></table>

</div>

<form id="frmDelete" name="frmDelete" method="post" action="/goform/AZ_DeleteRoutingTable">
<input type="hidden" name="page" value="netRoute.asp">
<input type="hidden" name="delcpeID" id="delcpeID">
<input type="hidden" name="deldst" id="deldst">
<input type="hidden" name="delnetmask" id="delnetmask">
<input type="hidden" name="delgw" id="delgw">
</form>

<form id="frmAdd" name="frmAdd" method="post" action="/goform/AZ_AddRoutingTable">
<input type="hidden" name="page" value="netRoute.asp">
<input type="hidden" name="AddLst" id="AddLst">
</form>


</body></html>

