#!/bin/sh

	echo $*
	if test $# -lt 4; then 
		echo "usage: mk_ubootimg file1 file2 [pad_length] destfile"
		exit 1;
	fi
	head_len=`wc -c $1 | awk '{ printf $1}'`
	if test $head_len -gt $3; then
		echo "Pad length [$3] must be greater than size of $1"
		exit 1;
	fi
	pad_len=$3
	echo "head_len = $head_len and pad_len = $pad_len"
	rm -f $4
	cat $1 > $4

	while [ "$head_len" -lt "$pad_len" ]
	do 
		echo -n "0" >> $4 
		head_len=`expr $head_len + 1`
	done;
	cat $2 >> $4
