<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>SNMPv3 User Database Management</title>
<script language="JavaScript">
function ChangeEvent()
{
	if( document.tF0.SNMPv3User_SecLevel.value == "noauth" )
	{
		document.tF0.SNMPv3User_AuthProto.disabled=true;
		document.tF0.SNMPv3User_AuthPasswd.disabled=true;
		document.tF0.SNMPv3User_PrivProto.disabled=true;
		document.tF0.SNMPv3User_PrivPasswd.disabled=true;

	}
	else if( document.tF0.SNMPv3User_SecLevel.value == "auth" )
	{
		document.tF0.SNMPv3User_AuthProto.disabled=false;
		document.tF0.SNMPv3User_AuthPasswd.disabled=false;
		document.tF0.SNMPv3User_PrivProto.disabled=true;
		document.tF0.SNMPv3User_PrivPasswd.disabled=true;
	}
	else if( document.tF0.SNMPv3User_SecLevel.value == "priv" )
	{
		document.tF0.SNMPv3User_AuthProto.disabled=false;
		document.tF0.SNMPv3User_AuthPasswd.disabled=false;
		document.tF0.SNMPv3User_PrivProto.disabled=false;
		document.tF0.SNMPv3User_PrivPasswd.disabled=false;
	}
	
}
function evalF()
{
	if( isBlank(document.tF0.SNMPv3User_UserName.value) )
	{
		alert("Enter valid User Name");
		return false;
	}
	if( document.tF0.SNMPv3User_AuthProto.disabled==false && isBlank(document.tF0.SNMPv3User_AuthPasswd.value) )
	{
		alert("Enter valid Authorization Password");
		return false;
	}
	if( document.tF0.SNMPv3User_PrivProto.disabled==false && isBlank(document.tF0.SNMPv3User_PrivPasswd.value) )
	{
		alert("Enter valid Privacy Password");
		return false;
	}
	return true;
}
</script>
</head>
<body bgColor="#e4e9f1">
<form name="tF0" action="/goform/ifx_set_snmpv3_settings_add" method="post">
<input type="hidden" name="page" value="snmpv3_settings.asp">
<input type="hidden" name="delflag" value="0">
<input type="hidden" name="delindex">
<table border="0" cellspacing="0" cellpadding="5" height="95%"  width="100%">
  <tr> 
	<td valign="top"><font class="title"><b>Add a v3 user</b> </font><br>
	  <table border=0 cellspacing=1 cellpadding=5>
		<tr>
		  <th nowrap class="celltitle" >User Access</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<input type=RADIO name="SNMPv3User_UserAccess" value="rouser" checked>Read-Only&nbsp;&nbsp;	
				<input type=RADIO name="SNMPv3User_UserAccess" value="rwuser">Read-Write	
		  </td>	
		</tr>
		
		<tr>
		  <th nowrap class="celltitle" >User Name</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<input name="SNMPv3User_UserName" size=10 maxlength=15 value="">	
		  </td>	
		</tr>
		
		<tr>
		  <th nowrap class="celltitle" >Security Level</th>
		  <td nowrap align=center bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="SNMPv3User_SecLevel" onChange="ChangeEvent();">
				<option value="noauth" >No Authorization, No Privacy</option>
				<option value="auth" selected>Authorization, No Privacy</option>
				<option value="priv" >Authorization, Privacy</option>
				</select>
		  </td>
		</tr>
		
		<tr>
		  <th nowrap class="celltitle">Authorization Protocol</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="SNMPv3User_AuthProto">
				<option value="MD5" selected>MD5</option>
				<option value="SHA" >SHA</option>
				</select>
		  </td>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
		  		Auth Password
		  </td>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<input type=PASSWORD name="SNMPv3User_AuthPasswd" size=10 maxlength=15 value="">	
		  </td>
		</tr>
		
		<tr>
		  <th nowrap class="celltitle">Privacy Protocol</th>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<select name="SNMPv3User_PrivProto" >
				<option value="DES" selected>DES</option>
				<option value="AES" >AES</option>
				</select>
		  </td> 
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
		  		Privacy Password
		  </td>
		  <td nowrap align=left bgcolor="#FFFFFF"><font face="Verdana" size="2">
				<input type=PASSWORD name="SNMPv3User_PrivPasswd" size=10 maxlength=15 value="">	
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
  <tr>
	<td valign="top" height="2">
	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td>
			<div align="right">
			<a href="javascript:void(0);" onClick="window.open('help.htm#snmpv3_setting_add','help','toolbar=0,status=0,menubar=0,scrollbars=1,resizable=1,width=530,height=400,left=150,top=150');"><img src="images/help.gif" width="57" height="57" border="0"></a>
			<a href="javascript:document.forms[0].submit()" onClick="return evalF();"><img src="images/apply1.gif" width="56" height="57" border="0"></a>
			<a href="javascript:document.tF0.reset()"><img src="images/cancel.gif" alt="" border="0" width="56" height="57" ></a>
			</div>
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
</table>
</form>
</body>
<SCRIPT language=JavaScript>
	ChangeEvent();
</SCRIPT>
</html>
