<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>Wireless Security</title>
<SCRIPT language=JavaScript>
<!--
ipm='The Port Number should be between 1 - 65535. The default port no. is 1812.';
ipm2='Either you have not entered all of the numbers \n or some of the numbers you entered are invalid. \n The number in each entry box should be between 0 - 255.';
ipm3='ReAuthPeriod and Key Interval only accept an integer between 0~65535.';
ipm4='You have checked passphrease mode. PSK only accept <=63 characters.';
ipm5='Please input 64 hex characters in PSK field.';
ipm6='WEP enabled so you need input 10 hex characters.';
ipm7='Please input hex characters in KEY field.';
ipm8='WEP enabled so you need input 26 hex characters.';
ipm9='PSK must set to 64 hex characters.';
ipm10='PassPhrase must set to 8~63 ASCII characters';
ipm11='Group Key Renewal only accept an integer between 600~7200.';

authType=new Array();
authType[0]=["Open authentication", "Shared authentication", "Auto Switch"]; //for encryption type-None
authType[1]=["Open authentication", "Shared authentication", "Auto Switch"]; //for encryption type-Share
authType[2]=["WPA-TLS"]; //for encryption type-802.1x
authType[3]=["WPA-TLS", "WPA-PSK"]; //for encryption type-TKIP
authType[4]=["WPA-TLS", "WPA-PSK", "WPA2-TLS", "WPA2-PSK"];//for encryption type-AES
authType[5]=["WPA2-TLS", "WPA2-PSK"]; //for encryption type-AES/TKIP

function isHex(s)
{
	var j,x = 0;
	for (var i = 0; i < s.length; i++)
	{
		var c = s.charAt(i);
		if ((c < '0' || c > '9') && (c < 'a' || c > 'f') && (c < 'A' || c > 'F'))
			return false;

		j = parseInt(c,16);
		if (j<0 || j>15)
			return false;
	}
	return true;
}

function DataNotInRange(s)
{
	if (s < 1 || s > 65535)
		return true;
	else
		return false;
}

function evaltRadiusIP()
{
    var rip1 = document.tF0.radius_ip1.value;
    var rip2 = document.tF0.radius_ip2.value;
    var rip3 = document.tF0.radius_ip3.value;
    var rip4 = document.tF0.radius_ip4.value;
    var oip1 = document.tF0.own_ip1.value;
    var oip2 = document.tF0.own_ip2.value;
    var oip3 = document.tF0.own_ip3.value;
    var oip4 = document.tF0.own_ip4.value;

    if (isBlank(rip1) || isNaN(rip1) || rip1 < 1 || rip1 > 255)
    {
        return false;
    }
    if (isBlank(rip2) || isNaN(rip2) || rip2 < 0 || rip2 > 255)
    {
        return false;
    }
    if (isBlank(rip3) || isNaN(rip3) || rip3 < 0 || rip3 > 255)
    {
        return false;
    }
    if (isBlank(rip4) || isNaN(rip4) || rip4 < 1 || rip4 > 255)
    {
        return false;
    }

    if (isBlank(oip1) || isNaN(oip1) || oip1 < 1 || oip1 > 255)
    {
        return false;
    }
    if (isBlank(oip2) || isNaN(oip2) || oip2 < 0 || oip2 > 255)
    {
        return false;
    }
    if (isBlank(oip3) || isNaN(oip3) || oip3 < 0 || oip3 > 255)
    {
        return false;
    }
    if (isBlank(oip4) || isNaN(oip4) || oip4 < 1 || oip4 > 255)
    {
        return false;
    }

	return true;
}

function evaltRadiusPort()
{
	if(DataNotInRange(document.tF0.radius_port.value))
	{
		return false;
	}
	else
	{
		return true;
	}
}

function checkPassPhrase()
{
	if(document.tF0.IsPassPhrase.checked==1)
	{
		if(document.tF0.PSK.value.length < 8 ||
		   document.tF0.PSK.value.length > 63)
		{
			alert(ipm10);
			return false;
		}
		return true;
	}
	else
	{
		if(document.tF0.PSK.value.length!=64)
		{
			alert(ipm9);
			return false;
		}
		
		if(!isHex(document.tF0.PSK.value))
		{
			alert(ipm7);
			return false;
		}
		return true;
	}

}


function updateView()
{
	switch(document.tF0.EncryType.selectedIndex)
	{
	case 0:	// None
		document.tF0.AuthType.options[0]=new Option(authType[0][0], "1");	// Open authentication
		document.tF0.AuthType.options[1]=new Option(authType[0][1], "2");	// Shared authentication
		document.tF0.AuthType.options[2]=new Option(authType[0][2], "3");	// Auto Switch
	    document.tF0.AuthType.length=authType[0].length;	//
	    index = document.tF0.authindex.value;

	    if (document.tF0.AuthType[0].value == index)
		    document.tF0.AuthType.options[0].selected = true;
	    else
	    if (document.tF0.AuthType[1].value == index)
		    document.tF0.AuthType.options[1].selected = true;
	    else
	    if (document.tF0.AuthType[2].value == index)
		    document.tF0.AuthType.options[2].selected = true;
		break;
	case 1:	// Shared 64
	case 2:	// Shared 128
		document.tF0.AuthType.options[0]=new Option(authType[1][0], "1");	// Open authentication
		document.tF0.AuthType.options[1]=new Option(authType[1][1], "2");	// Shared authentication
		document.tF0.AuthType.options[2]=new Option(authType[1][2], "3");	// Auto Switch
	    document.tF0.AuthType.length=authType[1].length;	//
	    index = document.tF0.authindex.value;

	    if (document.tF0.AuthType[0].value == index)
		    document.tF0.AuthType.options[0].selected = true;
	    else
	    if (document.tF0.AuthType[1].value == index)
		    document.tF0.AuthType.options[1].selected = true;
	    else
	    if (document.tF0.AuthType[2].value == index)
		    document.tF0.AuthType.options[2].selected = true;
		break;
	case 3:	// 802.1X
		document.tF0.AuthType.options[0]=new Option(authType[2][0], "4");	// WPA-TLS		
	    document.tF0.AuthType.length=authType[2].length;	//
	    index = document.tF0.authindex.value;
	    document.tF0.AuthType.options[0].selected = true;
		break;
	case 4: // TKIP
		document.tF0.AuthType.options[0]=new Option(authType[3][0], "4");	// WPA-TLS
		document.tF0.AuthType.options[1]=new Option(authType[3][1], "5");	// WPA-PSK
	    document.tF0.AuthType.length=authType[3].length;	//
	    index = document.tF0.authindex.value;

	    if (document.tF0.AuthType[0].value == index)
		    document.tF0.AuthType.options[0].selected = true;
	    else
	    if (document.tF0.AuthType[1].value == index)
		    document.tF0.AuthType.options[1].selected = true;
		break;	
	case 5:	// AES
		document.tF0.AuthType.options[0]=new Option(authType[4][0], "4");	// WPA-TLS
		document.tF0.AuthType.options[1]=new Option(authType[4][1], "5");	// WPA-PSK
		document.tF0.AuthType.options[2]=new Option(authType[4][2], "6");	// WPA2-TLS
		document.tF0.AuthType.options[3]=new Option(authType[4][3], "7");	// WPA2-PSK
	    document.tF0.AuthType.length=authType[4].length;	//
	    index = document.tF0.authindex.value;

	    if (document.tF0.AuthType[0].value == index)
		    document.tF0.AuthType.options[0].selected = true;
	    else
	    if (document.tF0.AuthType[1].value == index)
		    document.tF0.AuthType.options[1].selected = true;
	    else
	    if (document.tF0.AuthType[2].value == index)
		    document.tF0.AuthType.options[2].selected = true;
	    else
	    if (document.tF0.AuthType[3].value == index)
		    document.tF0.AuthType.options[3].selected = true;
		break;	
	case 6:	// TKIP/AES
		document.tF0.AuthType.options[0]=new Option(authType[5][0], "6");	// WPA2-TLS
		document.tF0.AuthType.options[1]=new Option(authType[5][1], "7");	// WPA2-PSK
	    document.tF0.AuthType.length=authType[5].length;	//
	    index = document.tF0.authindex.value;

	    if (document.tF0.AuthType[0].value == index)
		    document.tF0.AuthType.options[0].selected = true;
	    else
	    if (document.tF0.AuthType[1].value == index)
		    document.tF0.AuthType.options[1].selected = true;
		break;	
	
	}//switch EncryType

	updatePage();
}

function updatePage()
{
    var authType = document.tF0.AuthType.value;
    var encryType = document.tF0.EncryType.selectedIndex;

	switch(encryType)
	{
	case 0:	// none
	case 1:	// share 64
	case 2:	// share 128
	    if (encryType==0 && authType==1)
		{
			document.tF0.KeyUsed.disabled = true;
			document.tF0.Key1.disabled = true;
			document.tF0.Key2.disabled = true;
			document.tF0.Key3.disabled = true;
			document.tF0.Key4.disabled = true;
		}
		else
		{
			document.tF0.KeyUsed.disabled = false;
			document.tF0.Key1.disabled = false;
			document.tF0.Key2.disabled = false;
			document.tF0.Key3.disabled = false;
			document.tF0.Key4.disabled = false;
		}
		document.tF0.own_ip1.disabled = true;
		document.tF0.own_ip2.disabled = true;
		document.tF0.own_ip3.disabled = true;
		document.tF0.own_ip4.disabled = true;
		document.tF0.Nas_iden.disabled = true;
		document.tF0.radius_ip1.disabled = true;
		document.tF0.radius_ip2.disabled = true;
		document.tF0.radius_ip3.disabled = true;
		document.tF0.radius_ip4.disabled = true;
		document.tF0.radius_port.disabled = true;
		document.tF0.radius_secret.disabled = true;
		document.tF0.P1x_key_len.disabled = true;
		document.tF0.IsPassPhrase.disabled = true;
		document.tF0.PSK.disabled = true;
		document.tF0.GKeyEnable.disabled = true;
		document.tF0.GKeyRenew.disabled = true;
		break;
	case 3: // 802.1x
	    if (authType==4)
	    {
			document.tF0.KeyUsed.disabled = true;
			document.tF0.Key1.disabled = true;
			document.tF0.Key2.disabled = true;
			document.tF0.Key3.disabled = true;
			document.tF0.Key4.disabled = true;
    		document.tF0.own_ip1.disabled = false;
    		document.tF0.own_ip2.disabled = false;
    		document.tF0.own_ip3.disabled = false;
    		document.tF0.own_ip4.disabled = false;
			document.tF0.Nas_iden.disabled = false;
			document.tF0.radius_ip1.disabled = false;
			document.tF0.radius_ip2.disabled = false;
			document.tF0.radius_ip3.disabled = false;
			document.tF0.radius_ip4.disabled = false;
			document.tF0.radius_port.disabled = false;
			document.tF0.radius_secret.disabled = false;
			document.tF0.P1x_key_len.disabled = false;
			document.tF0.IsPassPhrase.disabled = true;
			document.tF0.PSK.disabled = true;
			document.tF0.GKeyEnable.disabled = true;
			document.tF0.GKeyRenew.disabled = true;
		}
		break;
	case 4: // TKIP
	case 6: // TKIP/AES
		document.tF0.KeyUsed.disabled = true;
		document.tF0.Key1.disabled = true;
		document.tF0.Key2.disabled = true;
		document.tF0.Key3.disabled = true;
		document.tF0.Key4.disabled = true;
	    if (authType == 4) 
	    {
    		document.tF0.own_ip1.disabled = false;
    		document.tF0.own_ip2.disabled = false;
    		document.tF0.own_ip3.disabled = false;
    		document.tF0.own_ip4.disabled = false;
			document.tF0.Nas_iden.disabled = false;
			document.tF0.radius_ip1.disabled = false;
			document.tF0.radius_ip2.disabled = false;
			document.tF0.radius_ip3.disabled = false;
			document.tF0.radius_ip4.disabled = false;
			document.tF0.radius_port.disabled = false;
			document.tF0.radius_secret.disabled = false;
			document.tF0.IsPassPhrase.disabled = true;
			document.tF0.PSK.disabled = true;
	    }
	    else
	    {
    		document.tF0.own_ip1.disabled = true;
    		document.tF0.own_ip2.disabled = true;
    		document.tF0.own_ip3.disabled = true;
    		document.tF0.own_ip4.disabled = true;
			document.tF0.Nas_iden.disabled = true;
			document.tF0.radius_ip1.disabled = true;
			document.tF0.radius_ip2.disabled = true;
			document.tF0.radius_ip3.disabled = true;
			document.tF0.radius_ip4.disabled = true;
			document.tF0.radius_port.disabled = true;
			document.tF0.radius_secret.disabled = true;
			document.tF0.IsPassPhrase.disabled = false;
			document.tF0.PSK.disabled = false;
		}
		document.tF0.P1x_key_len.disabled = true;
		document.tF0.GKeyEnable.disabled = false;
		document.tF0.GKeyRenew.disabled = false;
		break;

	case 5: // AES
		document.tF0.KeyUsed.disabled = true;
		document.tF0.Key1.disabled = true;
		document.tF0.Key2.disabled = true;
		document.tF0.Key3.disabled = true;
		document.tF0.Key4.disabled = true;
	    if ((authType==4) || (authType==6))
	    {
    		document.tF0.own_ip1.disabled = false;
    		document.tF0.own_ip2.disabled = false;
    		document.tF0.own_ip3.disabled = false;
    		document.tF0.own_ip4.disabled = false;
			document.tF0.Nas_iden.disabled = false;
			document.tF0.radius_ip1.disabled = false;
			document.tF0.radius_ip2.disabled = false;
			document.tF0.radius_ip3.disabled = false;
			document.tF0.radius_ip4.disabled = false;
			document.tF0.radius_port.disabled = false;
			document.tF0.radius_secret.disabled = false;
			document.tF0.IsPassPhrase.disabled = true;
			document.tF0.PSK.disabled = true;
	    }
	    else
	    {
    		document.tF0.own_ip1.disabled = true;
    		document.tF0.own_ip2.disabled = true;
    		document.tF0.own_ip3.disabled = true;
    		document.tF0.own_ip4.disabled = true;
			document.tF0.Nas_iden.disabled = true;
			document.tF0.radius_ip1.disabled = true;
			document.tF0.radius_ip2.disabled = true;
			document.tF0.radius_ip3.disabled = true;
			document.tF0.radius_ip4.disabled = true;
			document.tF0.radius_port.disabled = true;
			document.tF0.radius_secret.disabled = true;
			document.tF0.P1x_key_len.disabled = true;
			document.tF0.IsPassPhrase.disabled = false;
		    document.tF0.PSK.disabled = false;
		}
		document.tF0.P1x_key_len.disabled = true;
		document.tF0.GKeyEnable.disabled = false;
		document.tF0.GKeyRenew.disabled = false;
		break;
	}
}

function evaltF()
{
    var encryType = document.tF0.EncryType.selectedIndex;
    var authType = document.tF0.AuthType.value;
    var wm = null;
    var key_length = 0;

	if ( encryType == 0 || encryType == 1 || encryType == 2 )
	{
    	if ( encryType == 0 || encryType == 1 )
    	{
    	    wm=ipm6;
    	    key_length = 10;
    	}
    	else
    	{
    	    wm=ipm8;
    	    key_length = 26;
    	}

		switch(document.tF0.KeyUsed.selectedIndex)
		{
		case 1://Key1
			if(document.tF0.Key1.value.length!=key_length)
			{ alert(wm); return false;  }
			if (!isHex(document.tF0.Key1.value)) {alert(ipm7);	return false;}
			break;
		case 2://Key2
			if(document.tF0.Key2.value.length!=key_length)
			{ alert(wm); return false;  }
			if (!isHex(document.tF0.Key2.value)) {alert(ipm7);	return false;}
			break;
		case 3://Key3
			if(document.tF0.Key3.value.length!=key_length)
			{ alert(wm); return false;  }
			if (!isHex(document.tF0.Key3.value)) {alert(ipm7);	return false;}
			break;
		case 4://Key4
			if(document.tF0.Key4.value.length!=key_length)
			{ alert(wm); return false;  }
			if (!isHex(document.tF0.Key4.value)) {alert(ipm7);	return false;}
			break;
		}
	}
	if(authType ==3)
	{
		if(encryType == 5)
		{
			if(checkPassPhrase()==false)
			{
				return false;
			}
		}
	}

    if (document.tF0.radius_ip1.disabled == false)
    {
        if (!evaltRadiusIP())
        {
            alert(ipm2);
            return false;
        }

        if (!evaltRadiusPort())
        {
            alert(ipm);
            return false;
        }
        }

    switch(encryType)
    {
        case 4:
        case 5:
        case 6:
        if (parseInt(document.tF0.GKeyRenew.value) > 7200 ||
            parseInt(document.tF0.GKeyRenew.value) < 600)
        {
            alert(ipm11);
            return false;
        }
    }

    document.tF0.submit();
	return true;
}

function submitF()
{
    return evaltF();
}

//-->
</script>
</head>

<body bgColor="#e4e9f1" link="#0000FF" vlink="#0000FF" alink="#669999" onLoad="updateView();">

  <p><font class="title"><b>Security</font><br>
    <br>
    </font></b><font class="subtitle">You
    can setting Encryption type and Authentication type ...etc. </font></p>
  <form name="tF0" action="/goform/ifx_set_wlan_security" method="post">
  <input type="hidden" name="page" value="wireless_security.asp">
  <input type="hidden" name="authindex" value="<% ifx_get_wlan_security("authindex"); %>">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Encryption
                Type</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
                <select name="EncryType" onChange="updateView();">
				<% ifx_get_wlan_security("EncryType"); %>
                </select>
                </b></font></td>
              <td width="1%" height="27">&nbsp;</td>
            </tr>
            <tr>
              <td width="1%" height="29">&nbsp;</td>
              <td width="45%" height="29"><font class="subtitle">Authentication
                Type</font></td>
              <td width="55%" height="29">
              <select name="AuthType"onChange="updatePage();">
			  <% ifx_get_wlan_security("AuthType"); %>
                </select>
              </td>
              <td width="1%" height="29">&nbsp;</td>
            </tr>
            <tr>
              <td width="1%" height="28">&nbsp;</td>
              <td width="45%" height="28"><font class="subtitle">Active
                Key </font></td>
              <td width="55%" height="28">
                <select name="KeyUsed">
			    <% ifx_get_wlan_security("KeyUsed"); %>
                </select>
                <br>
              </td>
              <td width="1%" height="28">&nbsp;</td>
            </tr>
            <tr>
              <td width="1%" height="28">&nbsp;</td>
              <td width="45%" height="28"><font class="subtitle"><b><br>
                </b>Key 1(Hex 10/26)</font></td>
              <td width="55%" height="28"> <br>
				<input type="password" name="Key1" maxlength="26" value=<% ifx_get_wlan_security("Key1"); %>>
              </td>
              <td width="1%" height="28">&nbsp;</td>
            </tr>
            <tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key
                2(Hex 10/26)</font></td>
              <td width="55%" height="27">
				<input type="password" name="Key2" maxlength="26" value=<% ifx_get_wlan_security("Key2"); %>>
              </td>
              <td width="1%" height="27">&nbsp;</td>
            </tr>
            <tr>
              <td width="1%" height="31">&nbsp;</td>
              <td width="45%" height="31"><font class="subtitle">Key
                3(Hex 10/26) </font></td>
              <td width="55%" height="31">
				<input type="password" name="Key3" maxlength="26" value=<% ifx_get_wlan_security("Key3"); %>>
              </td>
              <td width="1%" height="31">&nbsp;</td>
            </tr>
            <tr>
              <td width="1%" height="30">&nbsp;</td>
              <td width="45%" height="30"><font class="subtitle">Key
                4(Hex 10/26) </font></td>
              <td width="55%" height="30">
				<input type="password" name="Key4" maxlength="26" value=<% ifx_get_wlan_security("Key4"); %>>
              </td>
              <td width="1%" height="30">&nbsp;</td>
            </tr>
          </table>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr><td>&nbsp;</td></tr>
           <tr>
          <td class=titleCell colspan=2 height="23"><font class="subtitle"><b>Radius Server Setup</b></font></td>
   	   </tr>
   	   <tr><td width="1%" height="27">&nbsp;</td></tr>
           <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
            Own IP for Radius server</font></td>
           <td width="55%" height="27">
          <input maxLength="3" name="own_ip1" size="3" value=<% ifx_get_lan_IP_MASK("SysIP1"); %>>.
	   <input maxLength="3" name="own_ip2" size="3" value=<% ifx_get_lan_IP_MASK("SysIP2"); %>>.
	   <input maxLength="3" name="own_ip3" size="3" value=<% ifx_get_lan_IP_MASK("SysIP3"); %>>.
	   <input maxLength="3" name="own_ip4" size="3" value=<% ifx_get_lan_IP_MASK("SysIP4"); %>>
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
           <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
           NAS Identifier</font></td>
           <td width="55%" height="27">
           <input type="text" name="Nas_iden" value="<% ifx_get_wlan_security("Nas_iden"); %>" maxlength="64">
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
           <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
            Radius server address</font></td>
           <td width="55%" height="27">

          <input maxLength="3" name="radius_ip1" size="3" value=<% ifx_get_radius_ip("radius_IP1"); %>>.
	   <input maxLength="3" name="radius_ip2" size="3" value=<% ifx_get_radius_ip("radius_IP2"); %>>.
	   <input maxLength="3" name="radius_ip3" size="3" value=<% ifx_get_radius_ip("radius_IP3"); %>>.
	   <input maxLength="3" name="radius_ip4" size="3" value=<% ifx_get_radius_ip("radius_IP4"); %>>
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
           <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
           Radius Server Port</font></td>
           <td width="55%" height="27">
           <input type="text" name="radius_port" value="<% ifx_get_wlan_security("radius_port"); %>" maxlength="5">
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
           <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
           Radius Server Secret</font></td>
           <td width="55%" height="27">
           <input type="text" name="radius_secret" value="<% ifx_get_wlan_security("radius_secret"); %>" maxlength="64">
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
            <tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">1x Key Length</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
                <select name="P1x_key_len">
				<% ifx_get_wlan_security("P1x_key_len"); %>
                </select>
                </b></font></td>
              <td width="1%" height="27">&nbsp;</td>
            </tr>
          </table>
          </td>
          </tr>
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr><td>&nbsp;</td></tr>

           <tr>
          <td class=titleCell colspan=2 height="23"><font class="subtitle"><b>WPA</b></font></td>
   	   </tr>
   	   
           <tr><td width="1%" height="27">&nbsp;</td></tr>
           
   	    <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
           PSK key is 64 hex and Passphrase is 8~63 ASCII characters</font></td>
           <td width="55%" height="27"></td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
           
           <tr><td width="1%" height="27">&nbsp;</td></tr>
           
   	    <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
                PSK Key</font></td>
           <td width="55%" height="27">
		<input type="password" name="PSK" value="<% ifx_get_wlan_security("PSK"); %>" maxlength="64">
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
   	    <tr>
           <td width="1%" height="27">&nbsp;</td>
           <td width="45%" height="27"><font class="subtitle">
           Enable Passphrase</font></td>
           <td width="55%" height="27">
            <input type=CHECKBOX name="IsPassPhrase" value=1 <% ifx_get_wlan_security("IsPassPhrase"); %>>
           </td>
           <td width="1%" height="27">&nbsp;</td>
           </tr>
            <tr> 
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle"> 
                Group Key Renewable</font></td>
              <td width="55%" height="27"> 
              <input type="checkbox" name="GKeyEnable"  value="1" <% ifx_get_wlan_security("GKeyEnable");%>>
              </td>
           <td width="1%" height="27">&nbsp;</td>
            </tr> 
            <tr> 
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle"> 
                Group Key Renew interval</font></td>
              <td width="55%" height="27"> 
               <input type="text" name="GKeyRenew" value="<% ifx_get_wlan_security("GKeyRenew"); %>" maxlength="4" size="20"> seconds
              </td>
           <td width="1%" height="27">&nbsp;</td>
            </tr> 
          </table>

      <tr>
        <td>
<div align="right">
			<a href="javascript:void(0);" onClick="window.open('help.htm#lan','help', 'toolbar=0,status=0,menubar=0,scrollbars=1,resizable=1,width=530,height=400,left=150,top=150');"><img src="images/help.gif" width="57" height="57" border="0"></a>
			<a href="javascript:document.forms[0].submit()" onClick="return submitF();"><img src="images/apply1.gif" width="56" height="57" border="0"></a>
			<a href="javascript:document.tF0.reset()"><img src="images/cancel.gif" alt="" border="0" width="56" height="57" ></a>
			</div>
        </td>
      </tr>
    </table>
  </form>
  <p><font size="4" color="#026ab3"><b><font face="Verdana">
    </font></b></font></p>
</div>
</body>
</html>
