<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="style.css" type="text/css">
<script language="JavaScript" src="commfunc.js"></script>
<title>WLAN Security</title>
<SCRIPT language=JavaScript>
//<!--
ipm='The Port Number should be between 1 - 65535. The default port no. is 1812.';
ipm2='Either you have not entered all of the numbers \n or some of the numbers you entered are invalid. \n The number in each entry box should be between 0 - 255.';
ipm3='ReAuthPeriod and Key Interval only accept an integer between 0~65535.';
ipm4='You have checked passphrease mode. PSK only accept <=63 characters.';
ipm5='Please input 64 hex characters in PSK field.';
ipm6='WEP enabled so you need input 10 hex characters.';
ipm7='Please input hex characters in KEY field.';
ipm8='WEP enabled so you need input 26 hex characters.';
ipm9='PSK must set to 64 hex characters.';
ipm10='PassPhrase must set to 8~63 ASCII characters';
ipm11='Group Key Renewal only accept an integer between 600~7200.';

authType=new Array();
authType[0]=["Open authentication", "Shared Authentication"]; //for encryption type-None
// authType[1]=["WPA-Enterprise", "WPS-Personal", "WPA2-Enterprise", "WPS2-Personal"]; //for encryption type-802.1x
// authType[1]=["WPA-Personal", "WPA2-Personal"];
authType[1]=["WPA-Personal"];

encryType=new Array();
encryType[0]=["NONE", "WEP"]; //for encryption type-None
encryType[1]=["WEP"]; //for encryption type-Share
encryType[2]=["TKIP"]; //for encryption type-802.1x
encryType[3]=["TKIP", "AES"]; //for encryption type-802.1x

	function isHex(s)
	{
		var j,x = 0;
		for (var i = 0; i < s.length; i++)
		{
			var c = s.charAt(i);
			if ((c < '0' || c > '9') && (c < 'a' || c > 'f') && (c < 'A' || c > 'F'))
				return false;

			j = parseInt(c,16);
			if (j<0 || j>15)
				return false;
		}
		return true;
	}

	function DataNotInRange(s)
	{
		if (s < 1 || s > 65535)
			return true;
		else
			return false;
	}

	function evaltRadiusIP()
	{
	    var rip1 = document.tF0.radius_ip1.value;
	    var rip2 = document.tF0.radius_ip2.value;
	    var rip3 = document.tF0.radius_ip3.value;
	    var rip4 = document.tF0.radius_ip4.value;
	    var oip1 = document.tF0.own_ip1.value;
	    var oip2 = document.tF0.own_ip2.value;
	    var oip3 = document.tF0.own_ip3.value;
	    var oip4 = document.tF0.own_ip4.value;

	    if (isBlank(rip1) || isNaN(rip1) || rip1 < 1 || rip1 > 255)
	    {
		return false;
	    }
	    if (isBlank(rip2) || isNaN(rip2) || rip2 < 0 || rip2 > 255)
	    {
		return false;
	    }
	    if (isBlank(rip3) || isNaN(rip3) || rip3 < 0 || rip3 > 255)
	    {
		return false;
	    }
	    if (isBlank(rip4) || isNaN(rip4) || rip4 < 1 || rip4 > 255)
	    {
		return false;
	    }

	    if (isBlank(oip1) || isNaN(oip1) || oip1 < 1 || oip1 > 255)
	    {
		return false;
	    }
	    if (isBlank(oip2) || isNaN(oip2) || oip2 < 0 || oip2 > 255)
	    {
		return false;
	    }
	    if (isBlank(oip3) || isNaN(oip3) || oip3 < 0 || oip3 > 255)
	    {
		return false;
	    }
	    if (isBlank(oip4) || isNaN(oip4) || oip4 < 1 || oip4 > 255)
	    {
		return false;
	    }

		return true;
	}

	function evaltRadiusPort()
	{
		if(DataNotInRange(document.tF0.radius_port.value))
		{
			return false;
		}
		else
		{
			return true;
		}
	}

	function checkPassPhrase()
	{
		if(document.tF0.IsPassPhrase.checked==1)
		{
			if(document.tF0.PSK.value.length < 8 ||
			   document.tF0.PSK.value.length > 63)
			{
				alert(ipm10);
				return false;
			}
			return true;
		}
		else
		{
			if(document.tF0.PSK.value.length!=64)
			{
				alert(ipm9);
				return false;
			}
			
			if(!isHex(document.tF0.PSK.value))
			{
				alert(ipm7);
				return false;
			}
			return true;
		}

	}

	function updateView1()
	{
		switch(document.tF0.AuthType.value)
		{
		case 1:	// Open
			document.tF0.EncryType.options[0]=new Option(encryType[0][0], "1");	// 
			document.tF0.EncryType.options[1]=new Option(encryType[0][1], "2");	// 

		    document.tF0.EncryType.length=encryType[0].length;	//
		    document.tF0.EncryType.options[0].selected = true;

			break;
		case 2:	// Shared 64
			document.tF0.EncryType.options[0]=new Option(encryType[1][0], "1");	// 

		    document.tF0.EncryType.length=encryType[1].length;	//
		    document.tF0.EncryType.options[0].selected = true;

			break;
		case 3:	// Shared 128
		case 5:	// Shared 128
			document.tF0.EncryType.options[0]=new Option(encryType[2][0], "1");	// 
			document.tF0.EncryType.options[1]=new Option(encryType[2][1], "2");	// 

		    document.tF0.EncryType.length=encryType[2].length;	//
		    document.tF0.EncryType.options[0].selected = true;

			break;
		case 4:	// Shared 128
		case 6:	// Shared 128
			document.tF0.EncryType.options[0]=new Option(encryType[3][0], "1");	// 
			document.tF0.EncryType.options[1]=new Option(encryType[3][1], "2");	// 

		    document.tF0.EncryType.length=encryType[3].length;	//
		    document.tF0.EncryType.options[0].selected = true;

			break;
		
		}//switch EncryType

		updatePage1();
	}

	function updatePage1()
	{
	    var encryption_Type = document.tF0.EncryType.value;
	    var auth_Type = document.tF0.AuthType.value;

		with (document.forms[0]) {
			if (document.getElementById) {

		switch(document.tF0.beacon_type.selectedIndex) {
			case 0:
			if(auth_Type == "1") {
				if(encryption_Type == "1")
				{
					document.tF0.KeyIndex.disabled = true;
					document.tF0.EncryptLevel.disabled = true;
					document.tF0.open_shared_key_type.disabled = true;
					document.tF0.open_shared_key1.disabled = true;
					document.tF0.open_shared_key2.disabled = true;
					document.tF0.open_shared_key3.disabled = true;								
					document.tF0.open_shared_key4.disabled = true;
					document.tF0.personal_key_type.disabled = true;
					document.tF0.personal_key.disabled = true;
				}
				else if(encryption_Type == "2")
				{
					document.tF0.KeyIndex.disabled = false;
					document.tF0.EncryptLevel.disabled = false;
					document.tF0.open_shared_key_type.disabled = false;
					document.tF0.open_shared_key1.disabled = false;
					document.tF0.open_shared_key2.disabled = false;
					document.tF0.open_shared_key3.disabled = false;								
					document.tF0.open_shared_key4.disabled = false;
					document.tF0.personal_key_type.disabled = true;
					document.tF0.personal_key.disabled = true;
				}
			}
			else if(auth_Type == "2") {
					document.tF0.KeyIndex.disabled = false;
					document.tF0.EncryptLevel.disabled = false;
					document.tF0.open_shared_key_type.disabled = false;
					document.tF0.open_shared_key1.disabled = false;
					document.tF0.open_shared_key2.disabled = false;
					document.tF0.open_shared_key3.disabled = false;
					document.tF0.open_shared_key4.disabled = false;								
					document.tF0.personal_key_type.disabled = true;
					document.tF0.personal_key.disabled = true;
			}
			break;
		case 1:
			/*
			if(auth_Type == "1" || auth_Type == "3") {
					document.tF0.KeyIndex.disabled = true;
					document.tF0.EncryptLevel.disabled = true;
					document.tF0.open_shared_key_type.disabled = true;
					document.tF0.open_shared_key1.disabled = true;
					document.tF0.open_shared_key2.disabled = true;
					document.tF0.open_shared_key3.disabled = true;
					document.tF0.open_shared_key4.disabled = true;												
					document.tF0.personal_key_type.disabled = true;
					document.tF0.personal_key.disabled = true;
			}
			else if(auth_Type == "2" || auth_Type == "4") {
					document.tF0.KeyIndex.disabled = true;
					document.tF0.EncryptLevel.disabled = true;
					document.tF0.open_shared_key_type.disabled = true;
					document.tF0.open_shared_key1.disabled = true;
					document.tF0.open_shared_key2.disabled = true;
					document.tF0.open_shared_key3.disabled = true;
					document.tF0.open_shared_key4.disabled = true;												
					document.tF0.personal_key_type.disabled = true;
					document.tF0.personal_key.disabled = false;
			*/
			if(auth_Type == "1" || auth_Type == "2") {
					document.tF0.KeyIndex.disabled = true;
					document.tF0.EncryptLevel.disabled = true;
					document.tF0.open_shared_key_type.disabled = true;
					document.tF0.open_shared_key1.disabled = true;
					document.tF0.open_shared_key2.disabled = true;
					document.tF0.open_shared_key3.disabled = true;
					document.tF0.open_shared_key4.disabled = true;												
					document.tF0.personal_key_type.disabled = true;
					document.tF0.personal_key.disabled = false;
			}
		break;
		}

		}
		}
	}

	function updateOSKey_keytype()
	{
		with (document.forms[0]) {
		if (document.getElementById) {
			var key_val = document.tF0.open_shared_key_type.value;
			var encrypt_val = document.tF0.EncryptLevel.value;
			if(key_val == "0")
			{
				if(encrypt_val == "0") {
					document.getElementById('open_shared_key1').maxLength = 5;
					document.getElementById('open_shared_key2').maxLength = 5;
					document.getElementById('open_shared_key3').maxLength = 5;
					document.getElementById('open_shared_key4').maxLength = 5;
				}
				else {
					document.getElementById('open_shared_key1').maxLength = 13;
					document.getElementById('open_shared_key2').maxLength = 13;
					document.getElementById('open_shared_key3').maxLength = 13;
					document.getElementById('open_shared_key4').maxLength = 13;
				}
			}
			else
			{
				if(encrypt_val == "0") {
					document.getElementById('open_shared_key1').maxLength = 10;
					document.getElementById('open_shared_key2').maxLength = 10;
					document.getElementById('open_shared_key3').maxLength = 10;
					document.getElementById('open_shared_key4').maxLength = 10;
				}
				else {
					document.getElementById('open_shared_key1').maxLength = 26;
					document.getElementById('open_shared_key2').maxLength = 26;
					document.getElementById('open_shared_key3').maxLength = 26;
					document.getElementById('open_shared_key4').maxLength = 26;			}
			}
		}
		}
	}

	function updatePersKey_keytype()
	{
		with (document.forms[0]) {
		if (document.getElementById) {
			var key_val = document.tF0.personal_key_type.value;
			/* only ascii key type is supported */
			if(key_val == "0")
			{
				document.getElementById('personal_key').maxLength = 63;
			}
		}
		}
	}

	function updateOSKey_encrypt()
	{
		with (document.forms[0]) {
		if (document.getElementById) {
			var key_val = document.tF0.EncryptLevel.value;
			if(key_val == "0") {
				document.getElementById('open_shared_key1').maxLength = 13;
				document.getElementById('open_shared_key2').maxLength = 13;
				document.getElementById('open_shared_key3').maxLength = 13;
				document.getElementById('open_shared_key4').maxLength = 13;
			}
			else {
				document.getElementById('open_shared_key1').maxLength = 26;
				document.getElementById('open_shared_key2').maxLength = 26;
				document.getElementById('open_shared_key3').maxLength = 26;
				document.getElementById('open_shared_key4').maxLength = 26;
			}
		}
		}
	}

	function updateRadKey_keylen(obj)
	{
		with (document.forms[0]) {
		if (document.getElementById) {
			var key_val = document.tF0.radius_key_len.value;
			if(key_val == "64")
				document.getElementById('radius_secret').maxLength = 13;
			else
				document.getElementById('radius_secret').maxLength = 26;
		}
		}
	}
	function checkKeyLengthforEncryptLevel ()
	{
		switch(document.tF0.beacon_type.selectedIndex)
		{
			case 0:
				if(document.tF0.EncryType.selectedIndex == 1)
				{
					if(document.tF0.open_shared_key_type.selectedIndex == 1)
					{
						/* TODO: validation check */
						if((!isHex(document.tF0.open_shared_key1.value))
						   || (!isHex(document.tF0.open_shared_key2.value))
						   || (!isHex(document.tF0.open_shared_key3.value))
						   || (!isHex(document.tF0.open_shared_key4.value)))
						{
							alert(ipm7);
							return false;
						}
					}

					if(document.tF0.EncryptLevel.selectedIndex == 0)
					{
						if(document.tF0.open_shared_key_type.selectedIndex == 0)
							key_length=5;
						else
							key_length=10;
					}
					else if(document.tF0.EncryptLevel.selectedIndex == 1)
					{
						if(document.tF0.open_shared_key_type.selectedIndex == 0)
							key_length=13;
						else
							key_length=26;
					}

					if ((document.tF0.open_shared_key1.value.length != key_length)
					|| (document.tF0.open_shared_key2.value.length != key_length)
					|| (document.tF0.open_shared_key3.value.length != key_length)
					|| (document.tF0.open_shared_key4.value.length != key_length))
					{
						alert("WEP Key length should be equal to " + key_length + " for the encryption type selected");
						return false;
					}
				}
				break;
			case 1:
				if(document.tF0.personal_key.value.length > 63 || document.tF0.personal_key.value.length < 8)
				{
					alert("WPA Passphrase length should be in the range 8-63");
					return false;
				}
				break;
		}
		return true;
		
	}

	function submitF()
	{
		return checkKeyLengthforEncryptLevel();
		
		/*
		switch(document.tF0.beacon_type.selectedIndex)
		{
			case 0:
				if(document.tF0.EncryType.selectedIndex == 1)
				{
					if(document.tF0.EncryptLevel.selectedIndex == 0)
						key_length=10;
					else if(document.tF0.EncryptLevel.selectedIndex == 1)
						key_length=26;

					switch(document.tF0.KeyIndex.selectedIndex)
					{
						case 0:
							if(document.tF0.open_shared_key1.value.length != key_length)
							{
								alert("WEP Key length should be equal to " + key_length + " for the encryption type selected");
								return false;
							}
							break;
						case 1:
							if(document.tF0.open_shared_key2.value.length != key_length)
							{
								alert("WEP Key length should be equal to " + key_length + " for the encryption type selected");
								return false;
							}
							break;
						case 2:
							if(document.tF0.open_shared_key3.value.length != key_length)
							{
								alert("WEP Key length should be equal to " + key_length + " for the encryption type selected");
								return false;
							}
							break;
						case 3:
							if(document.tF0.open_shared_key4.value.length != key_length)
							{
								alert("WEP Key length should be equal to " + key_length + " for the encryption type selected");
								return false;
							}
							break;
					}
				}
				break;
			case 1:
				if(document.tF0.personal_key.value.length != 63)
				{
					alert("WPA Passphrase length should be equal to 63");
					return false;
				}
				break;
		}

		if()
		{
			validate_wep_key();
		}
		else
		{
			validate_wpa();
		}
		*/
		return true;
	    // return evaltF();
	}

//-->
</script>
</head>

<body bgColor="#e4e9f1" link="#0000FF" vlink="#0000FF" alink="#669999">

  <p><font class="title"><b>WLAN Security Settings</font><br>
    <br>
    </font></b><font class="subtitle">
    Configure WLAN security settings </font></p>
  <form name="tF0" method="post" action="/goform/ifx_set_wireless_security_settings">
  <input type="hidden" name="page" value="wlan_sec.asp">


          <table width="100%" border="0" cellspacing="0" cellpadding="0">

			<br>
		    <tr>
              <td width="1%" height="27">&nbsp;</td>
                <td width="44%"><font class="subtitle">Select SSID</font></td>
				<td width="55%">
				<select name="ssid_sec"><% ifx_get_wireless_security_settings("SSID_LIST"); %>
                </select></font>
				</td>
	    </tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="1%" height="27">&nbsp;</td>
              <td width="1%" height="27">&nbsp;</td>
		</tr>

		<tr>
              <td width="100%" colspan="3" class="celltitle">
				Basic Security Settings
			  </td>
		</tr>

		<tr>
              <td>
			  </td>
		</tr>

	    <tr>
              <td width="1%" height="27">&nbsp;</td>
                   <td width="44%"><font class="subtitle">Beacon Type</font></td>
			<td width="55%">
			<select name="beacon_type" onChange="updateView();">
				<%ifx_get_wireless_security_settings("BEACON_TYPE");%>
                        </select></font>
				</td>
	    </tr>

            <tr>
              <td width="1%" height="29">&nbsp;</td>
              <td width="45%" height="29"><font class="subtitle">Authentication
                Type</font></td>
              <td width="55%" height="29">
              <select name="AuthType" onChange="updatePage1();">
				<%ifx_get_wireless_security_settings("AUTH_TYPE");%>
              </select>
              </td>
              <td width="1%" height="29">&nbsp;</td>
            </tr>

            <tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Encryption Type</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
                <select name="EncryType" onChange="updatePage1();">
				<%ifx_get_wireless_security_settings("ENCR_TYPE");%>
                </select>
                </b></font></td>
              <td width="1%" height="27">&nbsp;</td>
            </tr>

	</table>



          <table width="100%" border="0" cellspacing="0" cellpadding="0">

		<br><br>
		<tr>
              <td width="100%" colspan="3" class="celltitle">
				WEP Key Settings
			  </td>
		</tr>

		<tr>
              <td>
			  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key Index</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
                <select name="KeyIndex">
				<%ifx_get_wireless_security_settings("KEY_INDEX");%>
		    </select>
		  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Encryption Level</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
                <select name="EncryptLevel" onChange="updateOSKey_encrypt();">
				<%ifx_get_wireless_security_settings("ENCR_LVL");%>
		    </select>
		  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key Type</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
			  <select name="open_shared_key_type" size="2" onClick="updateOSKey_keytype();">
				<%ifx_get_wireless_security_settings("WEP_KEY_TYPE");%>
			  </select>
		  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key1
		  </font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
			<input name="open_shared_key1" size="20" value="<%ifx_get_wireless_security_settings("WLAN_KEY1")%>" type="password">
		  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key2
		  </font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
			<input name="open_shared_key2" size="20" value="<%ifx_get_wireless_security_settings("WLAN_KEY2")%>" type="password">
		  </td>
		</tr>
		
		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key3
		  </font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
			<input name="open_shared_key3" size="20" value="<%ifx_get_wireless_security_settings("WLAN_KEY3")%>" type="password">
		  </td>
		</tr>
		
		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Key4
		  </font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
			<input name="open_shared_key4" size="20" value="<%ifx_get_wireless_security_settings("WLAN_KEY4")%>" type="password">
		  </td>
		</tr>
		
	</table>


          <table width="100%" border="0" cellspacing="0" cellpadding="0">

		<br><br>
		<tr>
              <td width="100%" colspan="3" class="celltitle">
				WPA Settings
			  </td>
		</tr>

		<tr>
              <td>
			  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Passphrase Key Type</font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
			  <select name="personal_key_type" size="2" onChange="updatePersKey_keytype();" disabled>
				<%ifx_get_wireless_security_settings("PSK_KEY_TYPE");%>
			  </select>
		  </td>
		</tr>

		<tr>
              <td width="1%" height="27">&nbsp;</td>
              <td width="45%" height="27"><font class="subtitle">Passphrase Key
		  </font></td>
              <td width="55%" height="27"><font face="Verdana" size="2"><b>
	<input name="personal_key" size="20" value="<%ifx_get_wireless_security_settings("WLAN_PASSPHRASE_KEY")%>" type="password">
		  </td>
		</tr>


		<script language="javascript">

		updateView();
		updateOSKey_keytype();
		updatePersKey_keytype();
		function updateView()
		{
				auth_index=<%ifx_get_wireless_security_settings("WLAN_AUTH_INDEX")%>;
				encr_index=<%ifx_get_wireless_security_settings("WLAN_ENCR_INDEX")%>;

				switch(document.tF0.beacon_type.selectedIndex)
				{
						case 0:
								document.tF0.AuthType.options[0]=new Option(authType[0][0], "1");
								document.tF0.AuthType.options[1]=new Option(authType[0][1], "2");
		
								document.tF0.AuthType.length=authType[0].length;
								if(auth_index <= authType[0].length)
									document.tF0.AuthType.options[auth_index-1].selected = true;
								else
									document.tF0.AuthType.options[0].selected = true;
		
								document.tF0.EncryType.options[0]=new Option(encryType[0][0], "1");	// 
								document.tF0.EncryType.options[1]=new Option(encryType[0][1], "2");	// 
		
								document.tF0.EncryType.length=encryType[0].length;	//
								if(encr_index <= encryType[0].length)
									document.tF0.EncryType.options[encr_index-1].selected = true;
								else
									document.tF0.EncryType.options[0].selected = true;

								break;
						case 1:
								document.tF0.AuthType.options[0]=new Option(authType[1][0], "1");
								document.tF0.AuthType.options[1]=new Option(authType[1][1], "2");
								//document.tF0.AuthType.options[2]=new Option(authType[1][2], "3");
								//document.tF0.AuthType.options[3]=new Option(authType[1][3], "4");
		
								document.tF0.AuthType.length=authType[1].length;	//
								//if(auth_index <= authType[0].length)
								//	document.tF0.AuthType.options[auth_index-1].selected = true;
								//else
									document.tF0.AuthType.options[0].selected = true;
		
								document.tF0.EncryType.options[0]=new Option(encryType[2][0], "1");
								// document.tF0.EncryType.options[1]=new Option(encryType[2][1], "2");
		
								document.tF0.EncryType.length=encryType[2].length;	//
								//if(encr_index <= encryType[0].length)
								//	document.tF0.EncryType.options[encr_index-1].selected = true;
								//else
									document.tF0.EncryType.options[0].selected = true;
		
								break;
				}
		
				//	updateView1();
				updatePage1();
		}

		</script>

	</table>


      <tr>
        <td>
<div align="right">
			<a href="javascript:void(0);" onClick="window.open('help.htm#wlan_sec','help', 'toolbar=0,status=0,menubar=0,scrollbars=1,resizable=1,width=530,height=400,left=150,top=150');"><img src="images/help.gif" width="57" height="57" border="0"></a>
			<a href="javascript:document.forms[0].submit()" onClick="return submitF();"><img src="images/apply1.gif" width="56" height="57" border="0"></a>
			<a href="javascript:document.tF0.reset()"><img src="images/cancel.gif" alt="" border="0" width="56" height="57" ></a>
			</div>
        </td>
      </tr>
    </table>
  </form>
  <p><font size="4" color="#026ab3"><b><font face="Verdana">
    </font></b></font></p>

</body>
</html>
