#!/bin/sh

# This script will create soft links for API/ cwmp/ Module/ rc.conf/ libupnp-1.2.1/
# It will create a directory under /etc/tr69 on target rootfs
if [ ! -h API ] && [ ! -d API ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/API API
fi

if [ ! -h cwmp ] && [ ! -d cwmp ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/cwmp cwmp
fi

if [ ! -h Modules ] && [ ! -d Modules ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/Modules Modules
fi

if [ ! -h libupnp-1.2.1 ] && [ ! -d libupnp-1.2.1 ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/libupnp-1.2.1 libupnp-1.2.1
fi

if [ ! -h Platform ] && [ ! -d Platform ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/Platform Platform
fi

if [ ! -h Miscellaneous ] && [ ! -d Miscellaneous ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/Miscellaneous Miscellaneous
fi

if [ ! -h LMP ] && [ ! -d LMP ]; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/LMP LMP
fi

if [ ! -h rc.conf.tr69 ] && [ ! -f rc.conf.tr69 ] ; then
    ln -sf /var/vob/wlnsw/wireline_sw_cwmp/cwmp/bin/rc.conf rc.conf.tr69
fi

