#!/bin/sh

echo Select Platform
echo ===============

echo 1. mips-linux
echo 2. linux

echo 'Enter your option here (Default-1):'
read platform

echo Select Target
echo =============

echo 1. Build All targets
echo 2. Build TR69
echo 3. Build Pseudo Server
echo 4. Build Client
echo 5. Build Server
echo 6. Build Agent
echo 7. Clean All targets
echo 8. Clean TR69
echo 9. Clean Pseudo Server
echo 10. Clean Client
echo 11. Clean Server
echo 12. Clean Agent

echo 'Enter your option here (Default-1):'
read target

echo Select Mode
echo ===========

echo 1. Debug mode 
echo 2. Release mode 

echo 'Enter your option here (Default-1):'
read mode

echo Select Type
echo ===========

echo 1. Static type
echo 2. Shared type

echo 'Enter your option here (Default-1):'
read type 

func_platform () {
  case $platform in
  1)
    make -f Makefile TARGET=mips-linux DEBUG=$2 STATIC=$3 $1;;
  *)
    make -f Makefile DEBUG=$2 STATIC=$3 $1;;
  esac
}

func_type () {
  case $type in
  1)
    func_platform $1 $2 1;;
  *)
    func_platform $1 $2 0;;
  esac
}

func_mode () {
  case $mode in
  1)
    func_type $1 1;;
  *)
    func_type $1 0;;
  esac
}

case $target in
1)
  func_mode all ;;
2)
  func_mode tr69 ;;
3)
  func_mode pseudo ;;
4)
  func_mode client ;;
5)
  func_mode server ;;
6)
  func_mode agent ;;
7)
  func_mode clean ;;
8)
  func_mode tr69_clean ;;
9)
  func_mode pseudo_clean ;;
10)
  func_mode client_clean ;;
11)
  func_mode server_clean ;;
12)
  func_mode agent_clean ;;
*)
  func_mode all ;;
esac

